# coding: utf-8

"""
    DLI API Swagger

    This is DLI API swagger-maven-plugin

    OpenAPI spec version: v1.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


from __future__ import absolute_import

import sys
import os
import re

# python 2 and python 3 compatibility library
from six import iteritems

from ..configuration import Configuration
from ..api_client import ApiClient


class RestApi(object):
    """
    NOTE: This class is auto generated by the swagger code generator program.
    Do not edit the class manually.
    Ref: https://github.com/swagger-api/swagger-codegen
    """

    def __init__(self, api_client=None):
        config = Configuration()
        if api_client:
            self.api_client = api_client
        else:
            if not config.api_client:
                config.api_client = ApiClient()
            self.api_client = config.api_client

    def alert_resource_or_group_owner(self, project_id, body, **kwargs):
        """
        Modify owner of resource
        Modify owner of resource.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.alert_resource_or_group_owner(project_id, body, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param UpdateResourceOwner body: (required)
        :param str x_auth_token: Authorization Token
        :return: ResponseInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.alert_resource_or_group_owner_with_http_info(project_id, body, **kwargs)
        else:
            (data) = self.alert_resource_or_group_owner_with_http_info(project_id, body, **kwargs)
            return data

    def alert_resource_or_group_owner_with_http_info(self, project_id, body, **kwargs):
        """
        Modify owner of resource
        Modify owner of resource.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.alert_resource_or_group_owner_with_http_info(project_id, body, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param UpdateResourceOwner body: (required)
        :param str x_auth_token: Authorization Token
        :return: ResponseInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'body', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method alert_resource_or_group_owner" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `alert_resource_or_group_owner`")
        # verify the required parameter 'body' is set
        if ('body' not in params) or (params['body'] is None):
            raise ValueError("Missing the required parameter `body` when calling `alert_resource_or_group_owner`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        if 'body' in params:
            body_params = params['body']
        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v2.0/{project_id}/resources/owner', 'PUT',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='ResponseInfo',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def authorize_bucket(self, project_id, obs_buckets, **kwargs):
        """
        用户主动授权起OBS桶的操作权限给DLI服务, 用于保存用户作业的checkpoint、作业的运行日志等
        
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.authorize_bucket(project_id, obs_buckets, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: project id, 用于不同project取token. (required)
        :param ObsBuckets obs_buckets: 授权一个或多个OBS bucket权限给Data lake insight, 请求参数为json格式 (required)
        :param str x_auth_token: Authorization Token
        :return: GlobalResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.authorize_bucket_with_http_info(project_id, obs_buckets, **kwargs)
        else:
            (data) = self.authorize_bucket_with_http_info(project_id, obs_buckets, **kwargs)
            return data

    def authorize_bucket_with_http_info(self, project_id, obs_buckets, **kwargs):
        """
        用户主动授权起OBS桶的操作权限给DLI服务, 用于保存用户作业的checkpoint、作业的运行日志等
        
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.authorize_bucket_with_http_info(project_id, obs_buckets, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: project id, 用于不同project取token. (required)
        :param ObsBuckets obs_buckets: 授权一个或多个OBS bucket权限给Data lake insight, 请求参数为json格式 (required)
        :param str x_auth_token: Authorization Token
        :return: GlobalResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'obs_buckets', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method authorize_bucket" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `authorize_bucket`")
        # verify the required parameter 'obs_buckets' is set
        if ('obs_buckets' not in params) or (params['obs_buckets'] is None):
            raise ValueError("Missing the required parameter `obs_buckets` when calling `authorize_bucket`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        if 'obs_buckets' in params:
            body_params = params['obs_buckets']
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.\
            select_header_content_type(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/dli/obs-authorize', 'POST',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='GlobalResponse',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def cancel_job(self, project_id, job_id, **kwargs):
        """
        Cancel job
        Canceling a job that has already been submitted can not be canceled if the job has been completed or failed.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.cancel_job(project_id, job_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str job_id: Job ID. (required)
        :param str x_auth_token: Authorization Token.
        :return: ResponseInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.cancel_job_with_http_info(project_id, job_id, **kwargs)
        else:
            (data) = self.cancel_job_with_http_info(project_id, job_id, **kwargs)
            return data

    def cancel_job_with_http_info(self, project_id, job_id, **kwargs):
        """
        Cancel job
        Canceling a job that has already been submitted can not be canceled if the job has been completed or failed.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.cancel_job_with_http_info(project_id, job_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str job_id: Job ID. (required)
        :param str x_auth_token: Authorization Token.
        :return: ResponseInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'job_id', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method cancel_job" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `cancel_job`")
        # verify the required parameter 'job_id' is set
        if ('job_id' not in params) or (params['job_id'] is None):
            raise ValueError("Missing the required parameter `job_id` when calling `cancel_job`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']
        if 'job_id' in params:
            path_params['job_id'] = params['job_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/jobs/{job_id}', 'DELETE',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='ResponseInfo',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def cancel_job_0(self, project_id, queue_name, job_id, **kwargs):
        """
        Cancel job
        Canceling a job that has already been submitted can not be canceled if the job has been completed or failed.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.cancel_job_0(project_id, queue_name, job_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str queue_name: The current queue name, the SQL will use the current queue resources to calculate. (required)
        :param str job_id: Job ID. (required)
        :param str x_auth_token: Authorization Token.
        :return: ResponseInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.cancel_job_0_with_http_info(project_id, queue_name, job_id, **kwargs)
        else:
            (data) = self.cancel_job_0_with_http_info(project_id, queue_name, job_id, **kwargs)
            return data

    def cancel_job_0_with_http_info(self, project_id, queue_name, job_id, **kwargs):
        """
        Cancel job
        Canceling a job that has already been submitted can not be canceled if the job has been completed or failed.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.cancel_job_0_with_http_info(project_id, queue_name, job_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str queue_name: The current queue name, the SQL will use the current queue resources to calculate. (required)
        :param str job_id: Job ID. (required)
        :param str x_auth_token: Authorization Token.
        :return: ResponseInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'queue_name', 'job_id', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method cancel_job_0" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `cancel_job_0`")
        # verify the required parameter 'queue_name' is set
        if ('queue_name' not in params) or (params['queue_name'] is None):
            raise ValueError("Missing the required parameter `queue_name` when calling `cancel_job_0`")
        # verify the required parameter 'job_id' is set
        if ('job_id' not in params) or (params['job_id'] is None):
            raise ValueError("Missing the required parameter `job_id` when calling `cancel_job_0`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']
        if 'queue_name' in params:
            path_params['queue_name'] = params['queue_name']
        if 'job_id' in params:
            path_params['job_id'] = params['job_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/queues/{queue_name}/jobs/{job_id}', 'DELETE',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='ResponseInfo',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def check_sql(self, project_id, sql_job_info, **kwargs):
        """
        Check sql
        Check the SQL grammar.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.check_sql(project_id, sql_job_info, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param SQLJobRequest sql_job_info: Request parameters (required)
        :param str x_auth_token: Authorization Token.
        :return: ResponseJobInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.check_sql_with_http_info(project_id, sql_job_info, **kwargs)
        else:
            (data) = self.check_sql_with_http_info(project_id, sql_job_info, **kwargs)
            return data

    def check_sql_with_http_info(self, project_id, sql_job_info, **kwargs):
        """
        Check sql
        Check the SQL grammar.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.check_sql_with_http_info(project_id, sql_job_info, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param SQLJobRequest sql_job_info: Request parameters (required)
        :param str x_auth_token: Authorization Token.
        :return: ResponseJobInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'sql_job_info', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method check_sql" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `check_sql`")
        # verify the required parameter 'sql_job_info' is set
        if ('sql_job_info' not in params) or (params['sql_job_info'] is None):
            raise ValueError("Missing the required parameter `sql_job_info` when calling `check_sql`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        if 'sql_job_info' in params:
            body_params = params['sql_job_info']
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/jobs/check-sql', 'POST',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='ResponseJobInfo',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def commit_upload_job(self, project_id, upload_commit_job_request, **kwargs):
        """
        Commit direct upload job
        Commit direct upload job for upload data to DLI.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.commit_upload_job(project_id, upload_commit_job_request, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param UploadCommitJobRequest upload_commit_job_request: Request parameters for commit direct upload job (required)
        :param str x_auth_token: Authorization Token.
        :return: UploadCommitJobResult
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.commit_upload_job_with_http_info(project_id, upload_commit_job_request, **kwargs)
        else:
            (data) = self.commit_upload_job_with_http_info(project_id, upload_commit_job_request, **kwargs)
            return data

    def commit_upload_job_with_http_info(self, project_id, upload_commit_job_request, **kwargs):
        """
        Commit direct upload job
        Commit direct upload job for upload data to DLI.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.commit_upload_job_with_http_info(project_id, upload_commit_job_request, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param UploadCommitJobRequest upload_commit_job_request: Request parameters for commit direct upload job (required)
        :param str x_auth_token: Authorization Token.
        :return: UploadCommitJobResult
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'upload_commit_job_request', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method commit_upload_job" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `commit_upload_job`")
        # verify the required parameter 'upload_commit_job_request' is set
        if ('upload_commit_job_request' not in params) or (params['upload_commit_job_request'] is None):
            raise ValueError("Missing the required parameter `upload_commit_job_request` when calling `commit_upload_job`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        if 'upload_commit_job_request' in params:
            body_params = params['upload_commit_job_request']
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v2/{project_id}/uploader/commit', 'POST',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='UploadCommitJobResult',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def create_batch(self, project_id, body, **kwargs):
        """
        Create batch
        Create batch.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.create_batch(project_id, body, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param object body: (required)
        :param str x_auth_token: Authorization Token
        :param str user_id: Real user id
        :return: SessionInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.create_batch_with_http_info(project_id, body, **kwargs)
        else:
            (data) = self.create_batch_with_http_info(project_id, body, **kwargs)
            return data

    def create_batch_with_http_info(self, project_id, body, **kwargs):
        """
        Create batch
        Create batch.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.create_batch_with_http_info(project_id, body, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param object body: (required)
        :param str x_auth_token: Authorization Token
        :param str user_id: Real user id
        :return: SessionInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'body', 'x_auth_token', 'user_id']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method create_batch" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `create_batch`")
        # verify the required parameter 'body' is set
        if ('body' not in params) or (params['body'] is None):
            raise ValueError("Missing the required parameter `body` when calling `create_batch`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']
        if 'user_id' in params:
            header_params['USER_ID'] = params['user_id']

        form_params = []
        local_var_files = {}

        body_params = None
        if 'body' in params:
            body_params = params['body']
        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v2.0/{project_id}/batches', 'POST',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='SessionInfo',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def create_cluster(self, project_id, x_auth_token, create_cluster_request, **kwargs):
        """
        Create cluster
        Create cluster.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.create_cluster(project_id, x_auth_token, create_cluster_request, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str x_auth_token: Authorization Token (required)
        :param CreateClusterRequest create_cluster_request: (required)
        :param str user_id: Real user id
        :return: EmptyResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.create_cluster_with_http_info(project_id, x_auth_token, create_cluster_request, **kwargs)
        else:
            (data) = self.create_cluster_with_http_info(project_id, x_auth_token, create_cluster_request, **kwargs)
            return data

    def create_cluster_with_http_info(self, project_id, x_auth_token, create_cluster_request, **kwargs):
        """
        Create cluster
        Create cluster.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.create_cluster_with_http_info(project_id, x_auth_token, create_cluster_request, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str x_auth_token: Authorization Token (required)
        :param CreateClusterRequest create_cluster_request: (required)
        :param str user_id: Real user id
        :return: EmptyResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'x_auth_token', 'create_cluster_request', 'user_id']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method create_cluster" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `create_cluster`")
        # verify the required parameter 'x_auth_token' is set
        if ('x_auth_token' not in params) or (params['x_auth_token'] is None):
            raise ValueError("Missing the required parameter `x_auth_token` when calling `create_cluster`")
        # verify the required parameter 'create_cluster_request' is set
        if ('create_cluster_request' not in params) or (params['create_cluster_request'] is None):
            raise ValueError("Missing the required parameter `create_cluster_request` when calling `create_cluster`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']
        if 'user_id' in params:
            header_params['USER_ID'] = params['user_id']

        form_params = []
        local_var_files = {}

        body_params = None
        if 'create_cluster_request' in params:
            body_params = params['create_cluster_request']
        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v2.0/{project_id}/clusters', 'POST',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='EmptyResponse',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def create_database(self, project_id, database_info, **kwargs):
        """
        Create database
        create a database
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.create_database(project_id, database_info, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param DatabaseInfo database_info: \"database_name\":\"dbName\",    \"description\":\"this is the database description template.\" (required)
        :param str x_auth_token: Authorization Token
        :return: ResponseInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.create_database_with_http_info(project_id, database_info, **kwargs)
        else:
            (data) = self.create_database_with_http_info(project_id, database_info, **kwargs)
            return data

    def create_database_with_http_info(self, project_id, database_info, **kwargs):
        """
        Create database
        create a database
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.create_database_with_http_info(project_id, database_info, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param DatabaseInfo database_info: \"database_name\":\"dbName\",    \"description\":\"this is the database description template.\" (required)
        :param str x_auth_token: Authorization Token
        :return: ResponseInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'database_info', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method create_database" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `create_database`")
        # verify the required parameter 'database_info' is set
        if ('database_info' not in params) or (params['database_info'] is None):
            raise ValueError("Missing the required parameter `database_info` when calling `create_database`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        if 'database_info' in params:
            body_params = params['database_info']
        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/databases', 'POST',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='ResponseInfo',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def create_download_job(self, project_id, empty_body, **kwargs):
        """
        Create direct download job
        Create direct download job for download data from DLI.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.create_download_job(project_id, empty_body, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param EmptyBody empty_body: Request parameters for create direct download job (required)
        :param str x_auth_token: Authorization Token.
        :return: DownloadCreateJobResult
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.create_download_job_with_http_info(project_id, empty_body, **kwargs)
        else:
            (data) = self.create_download_job_with_http_info(project_id, empty_body, **kwargs)
            return data

    def create_download_job_with_http_info(self, project_id, empty_body, **kwargs):
        """
        Create direct download job
        Create direct download job for download data from DLI.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.create_download_job_with_http_info(project_id, empty_body, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param EmptyBody empty_body: Request parameters for create direct download job (required)
        :param str x_auth_token: Authorization Token.
        :return: DownloadCreateJobResult
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'empty_body', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method create_download_job" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `create_download_job`")
        # verify the required parameter 'empty_body' is set
        if ('empty_body' not in params) or (params['empty_body'] is None):
            raise ValueError("Missing the required parameter `empty_body` when calling `create_download_job`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        if 'empty_body' in params:
            body_params = params['empty_body']
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.\
            select_header_content_type(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1/{project_id}/downloaders', 'POST',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='DownloadCreateJobResult',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def create_flink_job_template(self, project_id, body, **kwargs):
        """
        创建作业模板
        Create job template on Data lake insight
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.create_flink_job_template(project_id, body, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: project id, 用于不同project取token. (required)
        :param CreateFlinkJobTemplateRequest body: Create job template request (required)
        :param str x_auth_token: Authorization Token
        :return: FlinkJobTemplateCreateResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.create_flink_job_template_with_http_info(project_id, body, **kwargs)
        else:
            (data) = self.create_flink_job_template_with_http_info(project_id, body, **kwargs)
            return data

    def create_flink_job_template_with_http_info(self, project_id, body, **kwargs):
        """
        创建作业模板
        Create job template on Data lake insight
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.create_flink_job_template_with_http_info(project_id, body, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: project id, 用于不同project取token. (required)
        :param CreateFlinkJobTemplateRequest body: Create job template request (required)
        :param str x_auth_token: Authorization Token
        :return: FlinkJobTemplateCreateResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'body', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method create_flink_job_template" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `create_flink_job_template`")
        # verify the required parameter 'body' is set
        if ('body' not in params) or (params['body'] is None):
            raise ValueError("Missing the required parameter `body` when calling `create_flink_job_template`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        if 'body' in params:
            body_params = params['body']
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/streaming/job-templates', 'POST',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='FlinkJobTemplateCreateResponse',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def create_obs_select_job(self, project_id, obs_select_job_request, **kwargs):
        """
        Create Obs select job
        Create Obs select job to DLI.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.create_obs_select_job(project_id, obs_select_job_request, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param ObsSelectJobRequest obs_select_job_request: Request parameters for create upload job (required)
        :param str x_auth_token: Authorization Token.
        :return: ObsSelectJobResult
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.create_obs_select_job_with_http_info(project_id, obs_select_job_request, **kwargs)
        else:
            (data) = self.create_obs_select_job_with_http_info(project_id, obs_select_job_request, **kwargs)
            return data

    def create_obs_select_job_with_http_info(self, project_id, obs_select_job_request, **kwargs):
        """
        Create Obs select job
        Create Obs select job to DLI.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.create_obs_select_job_with_http_info(project_id, obs_select_job_request, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param ObsSelectJobRequest obs_select_job_request: Request parameters for create upload job (required)
        :param str x_auth_token: Authorization Token.
        :return: ObsSelectJobResult
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'obs_select_job_request', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method create_obs_select_job" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `create_obs_select_job`")
        # verify the required parameter 'obs_select_job_request' is set
        if ('obs_select_job_request' not in params) or (params['obs_select_job_request'] is None):
            raise ValueError("Missing the required parameter `obs_select_job_request` when calling `create_obs_select_job`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        if 'obs_select_job_request' in params:
            body_params = params['obs_select_job_request']
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.\
            select_header_content_type(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/obs/select', 'POST',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='ObsSelectJobResult',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def create_queue(self, project_id, queue_info, **kwargs):
        """
        Create queue
        Create a queue that will bind user-specified computing resources.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.create_queue(project_id, queue_info, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param QueueInfo queue_info: Request parameters (required)
        :param str x_auth_token: Authorization Token
        :return: ResponseQueueInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.create_queue_with_http_info(project_id, queue_info, **kwargs)
        else:
            (data) = self.create_queue_with_http_info(project_id, queue_info, **kwargs)
            return data

    def create_queue_with_http_info(self, project_id, queue_info, **kwargs):
        """
        Create queue
        Create a queue that will bind user-specified computing resources.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.create_queue_with_http_info(project_id, queue_info, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param QueueInfo queue_info: Request parameters (required)
        :param str x_auth_token: Authorization Token
        :return: ResponseQueueInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'queue_info', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method create_queue" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `create_queue`")
        # verify the required parameter 'queue_info' is set
        if ('queue_info' not in params) or (params['queue_info'] is None):
            raise ValueError("Missing the required parameter `queue_info` when calling `create_queue`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        if 'queue_info' in params:
            body_params = params['queue_info']
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.\
            select_header_content_type(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/queues', 'POST',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='ResponseQueueInfo',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def create_table(self, project_id, database_name, table_info, **kwargs):
        """
        Create a new table
        Data location:DLI and OBS，OBS must set data_location and data_type parameter
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.create_table(project_id, database_name, table_info, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str database_name: New table where the database name. (required)
        :param TableInfo table_info: New table request parameters. (required)
        :param str x_auth_token: Authorization Token.
        :return: ResponseInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.create_table_with_http_info(project_id, database_name, table_info, **kwargs)
        else:
            (data) = self.create_table_with_http_info(project_id, database_name, table_info, **kwargs)
            return data

    def create_table_with_http_info(self, project_id, database_name, table_info, **kwargs):
        """
        Create a new table
        Data location:DLI and OBS，OBS must set data_location and data_type parameter
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.create_table_with_http_info(project_id, database_name, table_info, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str database_name: New table where the database name. (required)
        :param TableInfo table_info: New table request parameters. (required)
        :param str x_auth_token: Authorization Token.
        :return: ResponseInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'database_name', 'table_info', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method create_table" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `create_table`")
        # verify the required parameter 'database_name' is set
        if ('database_name' not in params) or (params['database_name'] is None):
            raise ValueError("Missing the required parameter `database_name` when calling `create_table`")
        # verify the required parameter 'table_info' is set
        if ('table_info' not in params) or (params['table_info'] is None):
            raise ValueError("Missing the required parameter `table_info` when calling `create_table`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']
        if 'database_name' in params:
            path_params['database_name'] = params['database_name']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        if 'table_info' in params:
            body_params = params['table_info']
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/databases/{database_name}/tables', 'POST',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='ResponseInfo',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def create_tsdb(self, create_tsdb_req, project_id, **kwargs):
        """
        创建时序数据库配置信息
        
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.create_tsdb(create_tsdb_req, project_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param CreateTsdbReq create_tsdb_req: This is a auto create Body Object (required)
        :param str project_id:  (required)
        :param str x_auth_token: Authorization Token
        :return: CreateTsdbResp
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.create_tsdb_with_http_info(create_tsdb_req, project_id, **kwargs)
        else:
            (data) = self.create_tsdb_with_http_info(create_tsdb_req, project_id, **kwargs)
            return data

    def create_tsdb_with_http_info(self, create_tsdb_req, project_id, **kwargs):
        """
        创建时序数据库配置信息
        
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.create_tsdb_with_http_info(create_tsdb_req, project_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param CreateTsdbReq create_tsdb_req: This is a auto create Body Object (required)
        :param str project_id:  (required)
        :param str x_auth_token: Authorization Token
        :return: CreateTsdbResp
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['create_tsdb_req', 'project_id', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method create_tsdb" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'create_tsdb_req' is set
        if ('create_tsdb_req' not in params) or (params['create_tsdb_req'] is None):
            raise ValueError("Missing the required parameter `create_tsdb_req` when calling `create_tsdb`")
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `create_tsdb`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        if 'create_tsdb_req' in params:
            body_params = params['create_tsdb_req']
        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v3/{project_id}/tsdbs', 'POST',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='CreateTsdbResp',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def create_upload_job(self, project_id, upload_create_job_request, **kwargs):
        """
        Create direct upload job
        Create direct upload job for upload data to DLI.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.create_upload_job(project_id, upload_create_job_request, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param UploadCreateJobRequest upload_create_job_request: Request parameters for create direct upload job (required)
        :param str x_auth_token: Authorization Token.
        :return: UploadCreateJobResult
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.create_upload_job_with_http_info(project_id, upload_create_job_request, **kwargs)
        else:
            (data) = self.create_upload_job_with_http_info(project_id, upload_create_job_request, **kwargs)
            return data

    def create_upload_job_with_http_info(self, project_id, upload_create_job_request, **kwargs):
        """
        Create direct upload job
        Create direct upload job for upload data to DLI.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.create_upload_job_with_http_info(project_id, upload_create_job_request, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param UploadCreateJobRequest upload_create_job_request: Request parameters for create direct upload job (required)
        :param str x_auth_token: Authorization Token.
        :return: UploadCreateJobResult
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'upload_create_job_request', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method create_upload_job" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `create_upload_job`")
        # verify the required parameter 'upload_create_job_request' is set
        if ('upload_create_job_request' not in params) or (params['upload_create_job_request'] is None):
            raise ValueError("Missing the required parameter `upload_create_job_request` when calling `create_upload_job`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        if 'upload_create_job_request' in params:
            body_params = params['upload_create_job_request']
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.\
            select_header_content_type(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v2/{project_id}/uploader/create', 'POST',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='UploadCreateJobResult',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def data_authorize(self, project_id, privilege_info, **kwargs):
        """
        List queue users
        Privilege data permissions to the database or data table to other specified users.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.data_authorize(project_id, privilege_info, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param PrivilegeInfo privilege_info: Request parameters (required)
        :param str x_auth_token: Authorization Token.
        :return: ResponseInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.data_authorize_with_http_info(project_id, privilege_info, **kwargs)
        else:
            (data) = self.data_authorize_with_http_info(project_id, privilege_info, **kwargs)
            return data

    def data_authorize_with_http_info(self, project_id, privilege_info, **kwargs):
        """
        List queue users
        Privilege data permissions to the database or data table to other specified users.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.data_authorize_with_http_info(project_id, privilege_info, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param PrivilegeInfo privilege_info: Request parameters (required)
        :param str x_auth_token: Authorization Token.
        :return: ResponseInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'privilege_info', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method data_authorize" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `data_authorize`")
        # verify the required parameter 'privilege_info' is set
        if ('privilege_info' not in params) or (params['privilege_info'] is None):
            raise ValueError("Missing the required parameter `privilege_info` when calling `data_authorize`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        if 'privilege_info' in params:
            body_params = params['privilege_info']
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.\
            select_header_content_type(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/user-authorization', 'PUT',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='ResponseInfo',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def del_batch(self, project_id, batch_id, **kwargs):
        """
        Delete specified batch
        Delete specified batch.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.del_batch(project_id, batch_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str batch_id: Batch ID. (required)
        :param str x_auth_token: Authorization Token
        :return: MessageInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.del_batch_with_http_info(project_id, batch_id, **kwargs)
        else:
            (data) = self.del_batch_with_http_info(project_id, batch_id, **kwargs)
            return data

    def del_batch_with_http_info(self, project_id, batch_id, **kwargs):
        """
        Delete specified batch
        Delete specified batch.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.del_batch_with_http_info(project_id, batch_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str batch_id: Batch ID. (required)
        :param str x_auth_token: Authorization Token
        :return: MessageInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'batch_id', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method del_batch" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `del_batch`")
        # verify the required parameter 'batch_id' is set
        if ('batch_id' not in params) or (params['batch_id'] is None):
            raise ValueError("Missing the required parameter `batch_id` when calling `del_batch`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']
        if 'batch_id' in params:
            path_params['batch_id'] = params['batch_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v2.0/{project_id}/batches/{batch_id}', 'DELETE',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='MessageInfo',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def delete_cluster(self, project_id, cluster_name, x_auth_token, **kwargs):
        """
        Delete cluster
        Delete cluster.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.delete_cluster(project_id, cluster_name, x_auth_token, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str cluster_name: Cluster name (required)
        :param str x_auth_token: Authorization Token (required)
        :return: EmptyResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.delete_cluster_with_http_info(project_id, cluster_name, x_auth_token, **kwargs)
        else:
            (data) = self.delete_cluster_with_http_info(project_id, cluster_name, x_auth_token, **kwargs)
            return data

    def delete_cluster_with_http_info(self, project_id, cluster_name, x_auth_token, **kwargs):
        """
        Delete cluster
        Delete cluster.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.delete_cluster_with_http_info(project_id, cluster_name, x_auth_token, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str cluster_name: Cluster name (required)
        :param str x_auth_token: Authorization Token (required)
        :return: EmptyResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'cluster_name', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method delete_cluster" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `delete_cluster`")
        # verify the required parameter 'cluster_name' is set
        if ('cluster_name' not in params) or (params['cluster_name'] is None):
            raise ValueError("Missing the required parameter `cluster_name` when calling `delete_cluster`")
        # verify the required parameter 'x_auth_token' is set
        if ('x_auth_token' not in params) or (params['x_auth_token'] is None):
            raise ValueError("Missing the required parameter `x_auth_token` when calling `delete_cluster`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']
        if 'cluster_name' in params:
            path_params['cluster_name'] = params['cluster_name']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v2.0/{project_id}/clusters/{cluster_name}', 'DELETE',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='EmptyResponse',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def delete_database(self, project_id, database_name, **kwargs):
        """
        Delete database
        Delete database by database name.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.delete_database(project_id, database_name, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str database_name: Delete database by this name. (required)
        :param str x_auth_token: Authorization Token
        :return: ResponseInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.delete_database_with_http_info(project_id, database_name, **kwargs)
        else:
            (data) = self.delete_database_with_http_info(project_id, database_name, **kwargs)
            return data

    def delete_database_with_http_info(self, project_id, database_name, **kwargs):
        """
        Delete database
        Delete database by database name.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.delete_database_with_http_info(project_id, database_name, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str database_name: Delete database by this name. (required)
        :param str x_auth_token: Authorization Token
        :return: ResponseInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'database_name', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method delete_database" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `delete_database`")
        # verify the required parameter 'database_name' is set
        if ('database_name' not in params) or (params['database_name'] is None):
            raise ValueError("Missing the required parameter `database_name` when calling `delete_database`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']
        if 'database_name' in params:
            path_params['database_name'] = params['database_name']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/databases/{database_name}', 'DELETE',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='ResponseInfo',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def delete_flink_job(self, project_id, delete_job_in_batch_request, **kwargs):
        """
        批量删除作业
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.delete_flink_job(project_id, delete_job_in_batch_request, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: project id, 用于不同project取token. (required)
        :param DeleteJobInBatchRequest delete_job_in_batch_request: (required)
        :param str x_auth_token: Authorization Token
        :return: list[GlobalBatchResponse]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.delete_flink_job_with_http_info(project_id, delete_job_in_batch_request, **kwargs)
        else:
            (data) = self.delete_flink_job_with_http_info(project_id, delete_job_in_batch_request, **kwargs)
            return data

    def delete_flink_job_with_http_info(self, project_id, delete_job_in_batch_request, **kwargs):
        """
        批量删除作业
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.delete_flink_job_with_http_info(project_id, delete_job_in_batch_request, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: project id, 用于不同project取token. (required)
        :param DeleteJobInBatchRequest delete_job_in_batch_request: (required)
        :param str x_auth_token: Authorization Token
        :return: list[GlobalBatchResponse]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'delete_job_in_batch_request', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method delete_flink_job" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `delete_flink_job`")
        # verify the required parameter 'delete_job_in_batch_request' is set
        if ('delete_job_in_batch_request' not in params) or (params['delete_job_in_batch_request'] is None):
            raise ValueError("Missing the required parameter `delete_job_in_batch_request` when calling `delete_flink_job`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        if 'delete_job_in_batch_request' in params:
            body_params = params['delete_job_in_batch_request']
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/streaming/jobs/delete', 'POST',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='list[GlobalBatchResponse]',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def delete_flink_job_template(self, project_id, template_id, **kwargs):
        """
        删除作业模板
        当前模板被引用也允许删除模板
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.delete_flink_job_template(project_id, template_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: project id, 用于不同project取token. (required)
        :param int template_id: (required)
        :param str x_auth_token: Authorization Token
        :return: FlinkJobTemplateDeleteResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.delete_flink_job_template_with_http_info(project_id, template_id, **kwargs)
        else:
            (data) = self.delete_flink_job_template_with_http_info(project_id, template_id, **kwargs)
            return data

    def delete_flink_job_template_with_http_info(self, project_id, template_id, **kwargs):
        """
        删除作业模板
        当前模板被引用也允许删除模板
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.delete_flink_job_template_with_http_info(project_id, template_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: project id, 用于不同project取token. (required)
        :param int template_id: (required)
        :param str x_auth_token: Authorization Token
        :return: FlinkJobTemplateDeleteResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'template_id', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method delete_flink_job_template" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `delete_flink_job_template`")
        # verify the required parameter 'template_id' is set
        if ('template_id' not in params) or (params['template_id'] is None):
            raise ValueError("Missing the required parameter `template_id` when calling `delete_flink_job_template`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']
        if 'template_id' in params:
            path_params['template_id'] = params['template_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/streaming/job-templates/{template_id}', 'DELETE',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='FlinkJobTemplateDeleteResponse',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def delete_job(self, project_id, job_id, **kwargs):
        """
        删除作业
        删除任何状态的作业
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.delete_job(project_id, job_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: project id, 用于不同project取token. (required)
        :param int job_id: 作业ID (required)
        :param str x_auth_token: Authorization Token
        :return: GlobalResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.delete_job_with_http_info(project_id, job_id, **kwargs)
        else:
            (data) = self.delete_job_with_http_info(project_id, job_id, **kwargs)
            return data

    def delete_job_with_http_info(self, project_id, job_id, **kwargs):
        """
        删除作业
        删除任何状态的作业
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.delete_job_with_http_info(project_id, job_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: project id, 用于不同project取token. (required)
        :param int job_id: 作业ID (required)
        :param str x_auth_token: Authorization Token
        :return: GlobalResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'job_id', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method delete_job" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `delete_job`")
        # verify the required parameter 'job_id' is set
        if ('job_id' not in params) or (params['job_id'] is None):
            raise ValueError("Missing the required parameter `job_id` when calling `delete_job`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']
        if 'job_id' in params:
            path_params['job_id'] = params['job_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/streaming/jobs/{job_id}', 'DELETE',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='GlobalResponse',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def delete_queue(self, project_id, queue_name, **kwargs):
        """
        Delete queue
        Delete the specified queue.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.delete_queue(project_id, queue_name, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str queue_name: The name of the queue (required)
        :param str x_auth_token: Authorization Token
        :return: ResponseInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.delete_queue_with_http_info(project_id, queue_name, **kwargs)
        else:
            (data) = self.delete_queue_with_http_info(project_id, queue_name, **kwargs)
            return data

    def delete_queue_with_http_info(self, project_id, queue_name, **kwargs):
        """
        Delete queue
        Delete the specified queue.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.delete_queue_with_http_info(project_id, queue_name, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str queue_name: The name of the queue (required)
        :param str x_auth_token: Authorization Token
        :return: ResponseInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'queue_name', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method delete_queue" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `delete_queue`")
        # verify the required parameter 'queue_name' is set
        if ('queue_name' not in params) or (params['queue_name'] is None):
            raise ValueError("Missing the required parameter `queue_name` when calling `delete_queue`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']
        if 'queue_name' in params:
            path_params['queue_name'] = params['queue_name']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/queues/{queue_name}', 'DELETE',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='ResponseInfo',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def delete_resource(self, project_id, resource_name, **kwargs):
        """
        Delete specified resource
        Delete specified resource.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.delete_resource(project_id, resource_name, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str resource_name: Resource name. (required)
        :param str group: Resource group.
        :param str x_auth_token: Authorization Token
        :return: EmptyResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.delete_resource_with_http_info(project_id, resource_name, **kwargs)
        else:
            (data) = self.delete_resource_with_http_info(project_id, resource_name, **kwargs)
            return data

    def delete_resource_with_http_info(self, project_id, resource_name, **kwargs):
        """
        Delete specified resource
        Delete specified resource.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.delete_resource_with_http_info(project_id, resource_name, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str resource_name: Resource name. (required)
        :param str group: Resource group.
        :param str x_auth_token: Authorization Token
        :return: EmptyResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'resource_name', 'group', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method delete_resource" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `delete_resource`")
        # verify the required parameter 'resource_name' is set
        if ('resource_name' not in params) or (params['resource_name'] is None):
            raise ValueError("Missing the required parameter `resource_name` when calling `delete_resource`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']
        if 'resource_name' in params:
            path_params['resource_name'] = params['resource_name']

        query_params = []
        if 'group' in params:
            query_params.append(('group', params['group']))

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v2.0/{project_id}/resources/{resource_name}', 'DELETE',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='EmptyResponse',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def delete_table(self, project_id, database_name, table_name, **kwargs):
        """
        Delete table
        Delete the specified table.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.delete_table(project_id, database_name, table_name, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str database_name: The name of the database where the table to be deleted is located. (required)
        :param str table_name: The name of the table to be deleted. (required)
        :param str x_auth_token: Authorization Token.
        :return: ResponseInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.delete_table_with_http_info(project_id, database_name, table_name, **kwargs)
        else:
            (data) = self.delete_table_with_http_info(project_id, database_name, table_name, **kwargs)
            return data

    def delete_table_with_http_info(self, project_id, database_name, table_name, **kwargs):
        """
        Delete table
        Delete the specified table.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.delete_table_with_http_info(project_id, database_name, table_name, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str database_name: The name of the database where the table to be deleted is located. (required)
        :param str table_name: The name of the table to be deleted. (required)
        :param str x_auth_token: Authorization Token.
        :return: ResponseInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'database_name', 'table_name', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method delete_table" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `delete_table`")
        # verify the required parameter 'database_name' is set
        if ('database_name' not in params) or (params['database_name'] is None):
            raise ValueError("Missing the required parameter `database_name` when calling `delete_table`")
        # verify the required parameter 'table_name' is set
        if ('table_name' not in params) or (params['table_name'] is None):
            raise ValueError("Missing the required parameter `table_name` when calling `delete_table`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']
        if 'database_name' in params:
            path_params['database_name'] = params['database_name']
        if 'table_name' in params:
            path_params['table_name'] = params['table_name']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/databases/{database_name}/tables/{table_name}', 'DELETE',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='ResponseInfo',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def delete_tsdb(self, project_id, tsdb_id, **kwargs):
        """
        删除时序数据库配置信息
        删除时序数据库配置信息
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.delete_tsdb(project_id, tsdb_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id:  (required)
        :param str tsdb_id:  (required)
        :param str x_auth_token: Authorization Token
        :return: GlobalResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.delete_tsdb_with_http_info(project_id, tsdb_id, **kwargs)
        else:
            (data) = self.delete_tsdb_with_http_info(project_id, tsdb_id, **kwargs)
            return data

    def delete_tsdb_with_http_info(self, project_id, tsdb_id, **kwargs):
        """
        删除时序数据库配置信息
        删除时序数据库配置信息
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.delete_tsdb_with_http_info(project_id, tsdb_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id:  (required)
        :param str tsdb_id:  (required)
        :param str x_auth_token: Authorization Token
        :return: GlobalResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'tsdb_id', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method delete_tsdb" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `delete_tsdb`")
        # verify the required parameter 'tsdb_id' is set
        if ('tsdb_id' not in params) or (params['tsdb_id'] is None):
            raise ValueError("Missing the required parameter `tsdb_id` when calling `delete_tsdb`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']
        if 'tsdb_id' in params:
            path_params['tsdb_id'] = params['tsdb_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v3/{project_id}/tsdbs/{tsdb_id}', 'DELETE',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='GlobalResponse',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def describe_table(self, project_id, database_name, table_name, **kwargs):
        """
        Describe Table
        Describes the metadata information for the specified table.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.describe_table(project_id, database_name, table_name, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str database_name: The name of the database where the table to be described is located. (required)
        :param str table_name: The name of the table to be described. (required)
        :param str x_auth_token: Authorization Token.
        :return: ColumnResult
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.describe_table_with_http_info(project_id, database_name, table_name, **kwargs)
        else:
            (data) = self.describe_table_with_http_info(project_id, database_name, table_name, **kwargs)
            return data

    def describe_table_with_http_info(self, project_id, database_name, table_name, **kwargs):
        """
        Describe Table
        Describes the metadata information for the specified table.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.describe_table_with_http_info(project_id, database_name, table_name, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str database_name: The name of the database where the table to be described is located. (required)
        :param str table_name: The name of the table to be described. (required)
        :param str x_auth_token: Authorization Token.
        :return: ColumnResult
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'database_name', 'table_name', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method describe_table" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `describe_table`")
        # verify the required parameter 'database_name' is set
        if ('database_name' not in params) or (params['database_name'] is None):
            raise ValueError("Missing the required parameter `database_name` when calling `describe_table`")
        # verify the required parameter 'table_name' is set
        if ('table_name' not in params) or (params['table_name'] is None):
            raise ValueError("Missing the required parameter `table_name` when calling `describe_table`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']
        if 'database_name' in params:
            path_params['database_name'] = params['database_name']
        if 'table_name' in params:
            path_params['table_name'] = params['table_name']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/databases/{database_name}/tables/{table_name}', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='ColumnResult',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def execute(self, project_id, sql_job_info, **kwargs):
        """
        Submit job
        This API is used to submit jobs to the cluster by executing SQL statements. The job contains the following types: DDL, DCL, IMPORT, EXPORT, QUERY, and INSERT.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.execute(project_id, sql_job_info, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param SQLJobRequest sql_job_info: Request parameters (required)
        :param str x_auth_token: Authorization Token.
        :return: ResponseJobInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.execute_with_http_info(project_id, sql_job_info, **kwargs)
        else:
            (data) = self.execute_with_http_info(project_id, sql_job_info, **kwargs)
            return data

    def execute_with_http_info(self, project_id, sql_job_info, **kwargs):
        """
        Submit job
        This API is used to submit jobs to the cluster by executing SQL statements. The job contains the following types: DDL, DCL, IMPORT, EXPORT, QUERY, and INSERT.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.execute_with_http_info(project_id, sql_job_info, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param SQLJobRequest sql_job_info: Request parameters (required)
        :param str x_auth_token: Authorization Token.
        :return: ResponseJobInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'sql_job_info', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method execute" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `execute`")
        # verify the required parameter 'sql_job_info' is set
        if ('sql_job_info' not in params) or (params['sql_job_info'] is None):
            raise ValueError("Missing the required parameter `sql_job_info` when calling `execute`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        if 'sql_job_info' in params:
            body_params = params['sql_job_info']
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.\
            select_header_content_type(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/jobs/submit-job', 'POST',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='ResponseJobInfo',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def execute_0(self, project_id, queue_name, sql_job_info, **kwargs):
        """
        Submit job
        This API is used to submit jobs to the cluster by executing SQL statements. The job contains the following types: DDL, DCL, IMPORT, EXPORT, QUERY, and INSERT.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.execute_0(project_id, queue_name, sql_job_info, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str queue_name: The name of the current queue, the SQL for the use of resources will be used to calculate the resources of the queue. (required)
        :param SQLJobRequest sql_job_info: Request parameters (required)
        :param str x_auth_token: Authorization Token.
        :return: ResponseJobInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.execute_0_with_http_info(project_id, queue_name, sql_job_info, **kwargs)
        else:
            (data) = self.execute_0_with_http_info(project_id, queue_name, sql_job_info, **kwargs)
            return data

    def execute_0_with_http_info(self, project_id, queue_name, sql_job_info, **kwargs):
        """
        Submit job
        This API is used to submit jobs to the cluster by executing SQL statements. The job contains the following types: DDL, DCL, IMPORT, EXPORT, QUERY, and INSERT.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.execute_0_with_http_info(project_id, queue_name, sql_job_info, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str queue_name: The name of the current queue, the SQL for the use of resources will be used to calculate the resources of the queue. (required)
        :param SQLJobRequest sql_job_info: Request parameters (required)
        :param str x_auth_token: Authorization Token.
        :return: ResponseJobInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'queue_name', 'sql_job_info', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method execute_0" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `execute_0`")
        # verify the required parameter 'queue_name' is set
        if ('queue_name' not in params) or (params['queue_name'] is None):
            raise ValueError("Missing the required parameter `queue_name` when calling `execute_0`")
        # verify the required parameter 'sql_job_info' is set
        if ('sql_job_info' not in params) or (params['sql_job_info'] is None):
            raise ValueError("Missing the required parameter `sql_job_info` when calling `execute_0`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']
        if 'queue_name' in params:
            path_params['queue_name'] = params['queue_name']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        if 'sql_job_info' in params:
            body_params = params['sql_job_info']
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.\
            select_header_content_type(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/queues/{queue_name}/jobs/submit-job', 'POST',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='ResponseJobInfo',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def export_data(self, project_id, export_info, **kwargs):
        """
        Export data
        Export the data to a file. Support data export to file from DLI table, OBS table or view.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.export_data(project_id, export_info, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param ExportJobRequest export_info: Request parameters (required)
        :param str x_auth_token: Authorization Token.
        :return: ResponseJobInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.export_data_with_http_info(project_id, export_info, **kwargs)
        else:
            (data) = self.export_data_with_http_info(project_id, export_info, **kwargs)
            return data

    def export_data_with_http_info(self, project_id, export_info, **kwargs):
        """
        Export data
        Export the data to a file. Support data export to file from DLI table, OBS table or view.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.export_data_with_http_info(project_id, export_info, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param ExportJobRequest export_info: Request parameters (required)
        :param str x_auth_token: Authorization Token.
        :return: ResponseJobInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'export_info', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method export_data" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `export_data`")
        # verify the required parameter 'export_info' is set
        if ('export_info' not in params) or (params['export_info'] is None):
            raise ValueError("Missing the required parameter `export_info` when calling `export_data`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        if 'export_info' in params:
            body_params = params['export_info']
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/jobs/export-table', 'POST',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='ResponseJobInfo',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def get_batch_info(self, project_id, batch_id, **kwargs):
        """
        List specified batch
        List specified batch.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_batch_info(project_id, batch_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str batch_id: Batch ID. (required)
        :param str x_auth_token: Authorization Token
        :return: SessionInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.get_batch_info_with_http_info(project_id, batch_id, **kwargs)
        else:
            (data) = self.get_batch_info_with_http_info(project_id, batch_id, **kwargs)
            return data

    def get_batch_info_with_http_info(self, project_id, batch_id, **kwargs):
        """
        List specified batch
        List specified batch.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_batch_info_with_http_info(project_id, batch_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str batch_id: Batch ID. (required)
        :param str x_auth_token: Authorization Token
        :return: SessionInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'batch_id', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_batch_info" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `get_batch_info`")
        # verify the required parameter 'batch_id' is set
        if ('batch_id' not in params) or (params['batch_id'] is None):
            raise ValueError("Missing the required parameter `batch_id` when calling `get_batch_info`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']
        if 'batch_id' in params:
            path_params['batch_id'] = params['batch_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v2.0/{project_id}/batches/{batch_id}', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='SessionInfo',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def get_batch_list(self, project_id, **kwargs):
        """
        List all batchs
        List all batchs.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_batch_list(project_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str x_auth_token: Authorization Token
        :param str cluster_name:
        :param int _from:
        :param int size:
        :return: SessionInfos
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.get_batch_list_with_http_info(project_id, **kwargs)
        else:
            (data) = self.get_batch_list_with_http_info(project_id, **kwargs)
            return data

    def get_batch_list_with_http_info(self, project_id, **kwargs):
        """
        List all batchs
        List all batchs.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_batch_list_with_http_info(project_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str x_auth_token: Authorization Token
        :param str cluster_name:
        :param int _from:
        :param int size:
        :return: SessionInfos
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'x_auth_token', 'cluster_name', '_from', 'size']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_batch_list" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `get_batch_list`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']

        query_params = []
        if 'cluster_name' in params:
            query_params.append(('cluster_name', params['cluster_name']))
        if '_from' in params:
            query_params.append(('from', params['_from']))
        if 'size' in params:
            query_params.append(('size', params['size']))

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v2.0/{project_id}/batches', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='SessionInfos',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def get_batch_log(self, project_id, batch_id, **kwargs):
        """
        Get specified batch log
        Get specified batch log.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_batch_log(project_id, batch_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str batch_id: Batch ID. (required)
        :param str x_auth_token: Authorization Token
        :param int _from:
        :param int size:
        :param str type:
        :param int index:
        :return: SessionLog
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.get_batch_log_with_http_info(project_id, batch_id, **kwargs)
        else:
            (data) = self.get_batch_log_with_http_info(project_id, batch_id, **kwargs)
            return data

    def get_batch_log_with_http_info(self, project_id, batch_id, **kwargs):
        """
        Get specified batch log
        Get specified batch log.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_batch_log_with_http_info(project_id, batch_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str batch_id: Batch ID. (required)
        :param str x_auth_token: Authorization Token
        :param int _from:
        :param int size:
        :param str type:
        :param int index:
        :return: SessionLog
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'batch_id', 'x_auth_token', '_from', 'size', 'type', 'index']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_batch_log" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `get_batch_log`")
        # verify the required parameter 'batch_id' is set
        if ('batch_id' not in params) or (params['batch_id'] is None):
            raise ValueError("Missing the required parameter `batch_id` when calling `get_batch_log`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']
        if 'batch_id' in params:
            path_params['batch_id'] = params['batch_id']

        query_params = []
        if '_from' in params:
            query_params.append(('from', params['_from']))
        if 'size' in params:
            query_params.append(('size', params['size']))
        if 'type' in params:
            query_params.append(('type', params['type']))
        if 'index' in params:
            query_params.append(('index', params['index']))

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v2.0/{project_id}/batches/{batch_id}/log', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='SessionLog',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def get_batch_state(self, project_id, batch_id, **kwargs):
        """
        Get specified session state
        Get specified session state.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_batch_state(project_id, batch_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str batch_id: Batch ID. (required)
        :param str x_auth_token: Authorization Token
        :return: SessionState
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.get_batch_state_with_http_info(project_id, batch_id, **kwargs)
        else:
            (data) = self.get_batch_state_with_http_info(project_id, batch_id, **kwargs)
            return data

    def get_batch_state_with_http_info(self, project_id, batch_id, **kwargs):
        """
        Get specified session state
        Get specified session state.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_batch_state_with_http_info(project_id, batch_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str batch_id: Batch ID. (required)
        :param str x_auth_token: Authorization Token
        :return: SessionState
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'batch_id', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_batch_state" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `get_batch_state`")
        # verify the required parameter 'batch_id' is set
        if ('batch_id' not in params) or (params['batch_id'] is None):
            raise ValueError("Missing the required parameter `batch_id` when calling `get_batch_state`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']
        if 'batch_id' in params:
            path_params['batch_id'] = params['batch_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v2.0/{project_id}/batches/{batch_id}/state', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='SessionState',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def get_cluster(self, project_id, cluster_name, x_auth_token, **kwargs):
        """
        List specified cluster
        List specified cluster.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_cluster(project_id, cluster_name, x_auth_token, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str cluster_name: Cluster name (required)
        :param str x_auth_token: Authorization Token (required)
        :return: ClusterInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.get_cluster_with_http_info(project_id, cluster_name, x_auth_token, **kwargs)
        else:
            (data) = self.get_cluster_with_http_info(project_id, cluster_name, x_auth_token, **kwargs)
            return data

    def get_cluster_with_http_info(self, project_id, cluster_name, x_auth_token, **kwargs):
        """
        List specified cluster
        List specified cluster.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_cluster_with_http_info(project_id, cluster_name, x_auth_token, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str cluster_name: Cluster name (required)
        :param str x_auth_token: Authorization Token (required)
        :return: ClusterInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'cluster_name', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_cluster" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `get_cluster`")
        # verify the required parameter 'cluster_name' is set
        if ('cluster_name' not in params) or (params['cluster_name'] is None):
            raise ValueError("Missing the required parameter `cluster_name` when calling `get_cluster`")
        # verify the required parameter 'x_auth_token' is set
        if ('x_auth_token' not in params) or (params['x_auth_token'] is None):
            raise ValueError("Missing the required parameter `x_auth_token` when calling `get_cluster`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']
        if 'cluster_name' in params:
            path_params['cluster_name'] = params['cluster_name']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v2.0/{project_id}/clusters/{cluster_name}', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='ClusterInfo',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def get_flink_apig_sinks(self, project_id, job_id, **kwargs):
        """
        查询作业apig网关服务访问地址
        The apig sinks is json format.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_flink_apig_sinks(project_id, job_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: project id, 用于不同project取token. (required)
        :param int job_id: 作业ID (required)
        :param str x_auth_token: Authorization Token
        :return: FlinkJobApigSinksResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.get_flink_apig_sinks_with_http_info(project_id, job_id, **kwargs)
        else:
            (data) = self.get_flink_apig_sinks_with_http_info(project_id, job_id, **kwargs)
            return data

    def get_flink_apig_sinks_with_http_info(self, project_id, job_id, **kwargs):
        """
        查询作业apig网关服务访问地址
        The apig sinks is json format.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_flink_apig_sinks_with_http_info(project_id, job_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: project id, 用于不同project取token. (required)
        :param int job_id: 作业ID (required)
        :param str x_auth_token: Authorization Token
        :return: FlinkJobApigSinksResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'job_id', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_flink_apig_sinks" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `get_flink_apig_sinks`")
        # verify the required parameter 'job_id' is set
        if ('job_id' not in params) or (params['job_id'] is None):
            raise ValueError("Missing the required parameter `job_id` when calling `get_flink_apig_sinks`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']
        if 'job_id' in params:
            path_params['job_id'] = params['job_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/streaming/jobs/{job_id}/apig-sinks', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='FlinkJobApigSinksResponse',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def get_flink_job_detail(self, project_id, job_id, **kwargs):
        """
        查询作业详情
        Get job detail information.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_flink_job_detail(project_id, job_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: project id, 用于不同project取token. (required)
        :param int job_id: 作业ID (required)
        :param str x_auth_token: Authorization Token
        :return: GetFlinkJobDetailResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.get_flink_job_detail_with_http_info(project_id, job_id, **kwargs)
        else:
            (data) = self.get_flink_job_detail_with_http_info(project_id, job_id, **kwargs)
            return data

    def get_flink_job_detail_with_http_info(self, project_id, job_id, **kwargs):
        """
        查询作业详情
        Get job detail information.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_flink_job_detail_with_http_info(project_id, job_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: project id, 用于不同project取token. (required)
        :param int job_id: 作业ID (required)
        :param str x_auth_token: Authorization Token
        :return: GetFlinkJobDetailResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'job_id', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_flink_job_detail" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `get_flink_job_detail`")
        # verify the required parameter 'job_id' is set
        if ('job_id' not in params) or (params['job_id'] is None):
            raise ValueError("Missing the required parameter `job_id` when calling `get_flink_job_detail`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']
        if 'job_id' in params:
            path_params['job_id'] = params['job_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/streaming/jobs/{job_id}', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='GetFlinkJobDetailResponse',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def get_flink_job_execute_graph(self, project_id, job_id, **kwargs):
        """
        查询作业执行计划图
        The execution graph is json format.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_flink_job_execute_graph(project_id, job_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: project id, 用于不同project取token. (required)
        :param int job_id: 作业ID (required)
        :param str x_auth_token: Authorization Token
        :return: FlinkJobExecutePlanResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.get_flink_job_execute_graph_with_http_info(project_id, job_id, **kwargs)
        else:
            (data) = self.get_flink_job_execute_graph_with_http_info(project_id, job_id, **kwargs)
            return data

    def get_flink_job_execute_graph_with_http_info(self, project_id, job_id, **kwargs):
        """
        查询作业执行计划图
        The execution graph is json format.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_flink_job_execute_graph_with_http_info(project_id, job_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: project id, 用于不同project取token. (required)
        :param int job_id: 作业ID (required)
        :param str x_auth_token: Authorization Token
        :return: FlinkJobExecutePlanResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'job_id', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_flink_job_execute_graph" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `get_flink_job_execute_graph`")
        # verify the required parameter 'job_id' is set
        if ('job_id' not in params) or (params['job_id'] is None):
            raise ValueError("Missing the required parameter `job_id` when calling `get_flink_job_execute_graph`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']
        if 'job_id' in params:
            path_params['job_id'] = params['job_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/streaming/jobs/{job_id}/execute-graph', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='FlinkJobExecutePlanResponse',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def get_flink_job_templates(self, project_id, **kwargs):
        """
        查询作业模板列表
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_flink_job_templates(project_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: project id, 用于不同project取token. (required)
        :param str x_auth_token: Authorization Token
        :param int offset: 作业偏移量
        :param int limit: 查询条数限制
        :param str order: 查询结果排序, 升序和降序两种可选
        :return: FlinkJobTemplateListResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.get_flink_job_templates_with_http_info(project_id, **kwargs)
        else:
            (data) = self.get_flink_job_templates_with_http_info(project_id, **kwargs)
            return data

    def get_flink_job_templates_with_http_info(self, project_id, **kwargs):
        """
        查询作业模板列表
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_flink_job_templates_with_http_info(project_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: project id, 用于不同project取token. (required)
        :param str x_auth_token: Authorization Token
        :param int offset: 作业偏移量
        :param int limit: 查询条数限制
        :param str order: 查询结果排序, 升序和降序两种可选
        :return: FlinkJobTemplateListResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'x_auth_token', 'offset', 'limit', 'order']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_flink_job_templates" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `get_flink_job_templates`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']

        query_params = []
        if 'offset' in params:
            query_params.append(('offset', params['offset']))
        if 'limit' in params:
            query_params.append(('limit', params['limit']))
        if 'order' in params:
            query_params.append(('order', params['order']))

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/streaming/job-templates', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='FlinkJobTemplateListResponse',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def get_flink_jobs(self, project_id, **kwargs):
        """
        查询作业列表
        作业列表查询, 支持以下参数: name, status, show_detail, cursor, next, limit, order, root_job_id. The cursor here is job id.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_flink_jobs(project_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: project id, 用于不同project取token. (required)
        :param str x_auth_token: Authorization Token
        :param str name: 作业名
        :param str status: 作业状态码, 请参考DLI文档
        :param str queue_name: 队列名称
        :param bool show_detail: 是否返回作业详情信息
        :param int offset: 作业偏移量
        :param int limit: 返回的数据条数
        :param str order: 查询结果排序, 升序和降序两种可选
        :param int root_job_id: 边缘父作业ID, 用于查询指定边缘作业的子作业; 不带该参数时, 查询所有非边缘作业和边缘父作业, 不包括边缘子作业
        :param str user_name: 用户名，可作为筛选条件
        :param str job_type: 作业类型
        :param str show_job_type: 显示数据类型，可选spark，flink， all， 默认为all
        :return: QueryFlinkJobListResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.get_flink_jobs_with_http_info(project_id, **kwargs)
        else:
            (data) = self.get_flink_jobs_with_http_info(project_id, **kwargs)
            return data

    def get_flink_jobs_with_http_info(self, project_id, **kwargs):
        """
        查询作业列表
        作业列表查询, 支持以下参数: name, status, show_detail, cursor, next, limit, order, root_job_id. The cursor here is job id.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_flink_jobs_with_http_info(project_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: project id, 用于不同project取token. (required)
        :param str x_auth_token: Authorization Token
        :param str name: 作业名
        :param str status: 作业状态码, 请参考DLI文档
        :param str queue_name: 队列名称
        :param bool show_detail: 是否返回作业详情信息
        :param int offset: 作业偏移量
        :param int limit: 返回的数据条数
        :param str order: 查询结果排序, 升序和降序两种可选
        :param int root_job_id: 边缘父作业ID, 用于查询指定边缘作业的子作业; 不带该参数时, 查询所有非边缘作业和边缘父作业, 不包括边缘子作业
        :param str user_name: 用户名，可作为筛选条件
        :param str job_type: 作业类型
        :param str show_job_type: 显示数据类型，可选spark，flink， all， 默认为all
        :return: QueryFlinkJobListResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'x_auth_token', 'name', 'status', 'queue_name', 'show_detail', 'offset', 'limit', 'order', 'root_job_id', 'user_name', 'job_type', 'show_job_type']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_flink_jobs" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `get_flink_jobs`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']

        query_params = []
        if 'name' in params:
            query_params.append(('name', params['name']))
        if 'status' in params:
            query_params.append(('status', params['status']))
        if 'queue_name' in params:
            query_params.append(('queue_name', params['queue_name']))
        if 'show_detail' in params:
            query_params.append(('show_detail', params['show_detail']))
        if 'offset' in params:
            query_params.append(('offset', params['offset']))
        if 'limit' in params:
            query_params.append(('limit', params['limit']))
        if 'order' in params:
            query_params.append(('order', params['order']))
        if 'root_job_id' in params:
            query_params.append(('root_job_id', params['root_job_id']))
        if 'user_name' in params:
            query_params.append(('user_name', params['user_name']))
        if 'job_type' in params:
            query_params.append(('job_type', params['job_type']))
        if 'show_job_type' in params:
            query_params.append(('show_job_type', params['show_job_type']))

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/streaming/jobs', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='QueryFlinkJobListResponse',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def get_flink_jobs_metrics(self, project_id, get_flink_jobs_metrics_body, **kwargs):
        """
        查询作业监控信息
        查询作业监控信息, 支持同时查询多个作业监控信息
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_flink_jobs_metrics(project_id, get_flink_jobs_metrics_body, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: project id, 用于不同project取token. (required)
        :param GetFlinkJobsMetricsBody get_flink_jobs_metrics_body: 查询作业监控信息, 支持同时查询多个作业监控, 请求参数为json格式 (required)
        :param str x_auth_token: Authorization Token
        :return: QueryFlinkJobMetricsResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.get_flink_jobs_metrics_with_http_info(project_id, get_flink_jobs_metrics_body, **kwargs)
        else:
            (data) = self.get_flink_jobs_metrics_with_http_info(project_id, get_flink_jobs_metrics_body, **kwargs)
            return data

    def get_flink_jobs_metrics_with_http_info(self, project_id, get_flink_jobs_metrics_body, **kwargs):
        """
        查询作业监控信息
        查询作业监控信息, 支持同时查询多个作业监控信息
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_flink_jobs_metrics_with_http_info(project_id, get_flink_jobs_metrics_body, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: project id, 用于不同project取token. (required)
        :param GetFlinkJobsMetricsBody get_flink_jobs_metrics_body: 查询作业监控信息, 支持同时查询多个作业监控, 请求参数为json格式 (required)
        :param str x_auth_token: Authorization Token
        :return: QueryFlinkJobMetricsResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'get_flink_jobs_metrics_body', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_flink_jobs_metrics" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `get_flink_jobs_metrics`")
        # verify the required parameter 'get_flink_jobs_metrics_body' is set
        if ('get_flink_jobs_metrics_body' not in params) or (params['get_flink_jobs_metrics_body'] is None):
            raise ValueError("Missing the required parameter `get_flink_jobs_metrics_body` when calling `get_flink_jobs_metrics`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        if 'get_flink_jobs_metrics_body' in params:
            body_params = params['get_flink_jobs_metrics_body']
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/streaming/jobs/metrics', 'POST',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='QueryFlinkJobMetricsResponse',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def get_import_export_job_info(self, project_id, job_id, **kwargs):
        """
        Import and Export detail
        Query the details of imported and exported jobs, such as the job's databaseName, tableName, file size, and export mode.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_import_export_job_info(project_id, job_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str job_id: Job ID. (required)
        :param str x_auth_token: Authorization Token.
        :return: DetailResult
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.get_import_export_job_info_with_http_info(project_id, job_id, **kwargs)
        else:
            (data) = self.get_import_export_job_info_with_http_info(project_id, job_id, **kwargs)
            return data

    def get_import_export_job_info_with_http_info(self, project_id, job_id, **kwargs):
        """
        Import and Export detail
        Query the details of imported and exported jobs, such as the job's databaseName, tableName, file size, and export mode.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_import_export_job_info_with_http_info(project_id, job_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str job_id: Job ID. (required)
        :param str x_auth_token: Authorization Token.
        :return: DetailResult
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'job_id', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_import_export_job_info" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `get_import_export_job_info`")
        # verify the required parameter 'job_id' is set
        if ('job_id' not in params) or (params['job_id'] is None):
            raise ValueError("Missing the required parameter `job_id` when calling `get_import_export_job_info`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']
        if 'job_id' in params:
            path_params['job_id'] = params['job_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/jobs/{job_id}/detail', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='DetailResult',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def get_job_progress(self, project_id, job_id, **kwargs):
        """
        Get job progress
        Get job progress
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_job_progress(project_id, job_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str job_id: (required)
        :param str x_auth_token: Authorization Token.
        :return: JobProgressResult
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.get_job_progress_with_http_info(project_id, job_id, **kwargs)
        else:
            (data) = self.get_job_progress_with_http_info(project_id, job_id, **kwargs)
            return data

    def get_job_progress_with_http_info(self, project_id, job_id, **kwargs):
        """
        Get job progress
        Get job progress
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_job_progress_with_http_info(project_id, job_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str job_id: (required)
        :param str x_auth_token: Authorization Token.
        :return: JobProgressResult
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'job_id', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_job_progress" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `get_job_progress`")
        # verify the required parameter 'job_id' is set
        if ('job_id' not in params) or (params['job_id'] is None):
            raise ValueError("Missing the required parameter `job_id` when calling `get_job_progress`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']
        if 'job_id' in params:
            path_params['job_id'] = params['job_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1/{project_id}/jobs/{job_id}/progress', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='JobProgressResult',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def get_job_result(self, project_id, job_id, **kwargs):
        """
        Get job result
        After the job executing the SQL query is completed, review the result of the job execution. Currently, it is only supported to see the results of the execution of QUERY type jobs. The API can only view the results of the first 1000 records, to see all the results of the record, you need to export the query results before viewing
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_job_result(project_id, job_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str job_id: Job ID. (required)
        :param str x_auth_token: Authorization Token.
        :param int page_size: The maximum number of rows displayed per page,in the range: [1, 100]. The default is: 10.
        :param int current_page: The current page number, the default is the first page.
        :param str queue_name: The DLI queue that executed this API request.
        :return: JobResult
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.get_job_result_with_http_info(project_id, job_id, **kwargs)
        else:
            (data) = self.get_job_result_with_http_info(project_id, job_id, **kwargs)
            return data

    def get_job_result_with_http_info(self, project_id, job_id, **kwargs):
        """
        Get job result
        After the job executing the SQL query is completed, review the result of the job execution. Currently, it is only supported to see the results of the execution of QUERY type jobs. The API can only view the results of the first 1000 records, to see all the results of the record, you need to export the query results before viewing
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_job_result_with_http_info(project_id, job_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str job_id: Job ID. (required)
        :param str x_auth_token: Authorization Token.
        :param int page_size: The maximum number of rows displayed per page,in the range: [1, 100]. The default is: 10.
        :param int current_page: The current page number, the default is the first page.
        :param str queue_name: The DLI queue that executed this API request.
        :return: JobResult
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'job_id', 'x_auth_token', 'page_size', 'current_page', 'queue_name']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_job_result" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `get_job_result`")
        # verify the required parameter 'job_id' is set
        if ('job_id' not in params) or (params['job_id'] is None):
            raise ValueError("Missing the required parameter `job_id` when calling `get_job_result`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']
        if 'job_id' in params:
            path_params['job_id'] = params['job_id']

        query_params = []
        if 'page_size' in params:
            query_params.append(('page-size', params['page_size']))
        if 'current_page' in params:
            query_params.append(('current-page', params['current_page']))
        if 'queue_name' in params:
            query_params.append(('queue-name', params['queue_name']))

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/jobs/{job_id}', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='JobResult',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def get_job_result_0(self, project_id, queue_name, job_id, **kwargs):
        """
        Get job result
        After the job executing the SQL query is completed, review the result of the job execution. Currently, it is only supported to see the results of the execution of QUERY type jobs. The API can only view the results of the first 1000 records, to see all the results of the record, you need to export the query results before viewing
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_job_result_0(project_id, queue_name, job_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str queue_name: The current queue name, the SQL will use the current queue resources to calculate. (required)
        :param str job_id: Job ID. (required)
        :param str x_auth_token: Authorization Token.
        :param int page_size: The maximum number of rows displayed per page,in the range: [1, 100]. The default is: 10.
        :param int current_page: The current page number, the default is the first page.
        :return: JobResult
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.get_job_result_0_with_http_info(project_id, queue_name, job_id, **kwargs)
        else:
            (data) = self.get_job_result_0_with_http_info(project_id, queue_name, job_id, **kwargs)
            return data

    def get_job_result_0_with_http_info(self, project_id, queue_name, job_id, **kwargs):
        """
        Get job result
        After the job executing the SQL query is completed, review the result of the job execution. Currently, it is only supported to see the results of the execution of QUERY type jobs. The API can only view the results of the first 1000 records, to see all the results of the record, you need to export the query results before viewing
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_job_result_0_with_http_info(project_id, queue_name, job_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str queue_name: The current queue name, the SQL will use the current queue resources to calculate. (required)
        :param str job_id: Job ID. (required)
        :param str x_auth_token: Authorization Token.
        :param int page_size: The maximum number of rows displayed per page,in the range: [1, 100]. The default is: 10.
        :param int current_page: The current page number, the default is the first page.
        :return: JobResult
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'queue_name', 'job_id', 'x_auth_token', 'page_size', 'current_page']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_job_result_0" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `get_job_result_0`")
        # verify the required parameter 'queue_name' is set
        if ('queue_name' not in params) or (params['queue_name'] is None):
            raise ValueError("Missing the required parameter `queue_name` when calling `get_job_result_0`")
        # verify the required parameter 'job_id' is set
        if ('job_id' not in params) or (params['job_id'] is None):
            raise ValueError("Missing the required parameter `job_id` when calling `get_job_result_0`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']
        if 'queue_name' in params:
            path_params['queue_name'] = params['queue_name']
        if 'job_id' in params:
            path_params['job_id'] = params['job_id']

        query_params = []
        if 'page_size' in params:
            query_params.append(('page-size', params['page_size']))
        if 'current_page' in params:
            query_params.append(('current-page', params['current_page']))

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/queues/{queue_name}/jobs/{job_id}', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='JobResult',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def get_job_status(self, project_id, job_id, **kwargs):
        """
        Get job status
        Get job status after job submission.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_job_status(project_id, job_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str job_id: Job ID. (required)
        :param str x_auth_token: Authorization Token.
        :return: StatusResult
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.get_job_status_with_http_info(project_id, job_id, **kwargs)
        else:
            (data) = self.get_job_status_with_http_info(project_id, job_id, **kwargs)
            return data

    def get_job_status_with_http_info(self, project_id, job_id, **kwargs):
        """
        Get job status
        Get job status after job submission.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_job_status_with_http_info(project_id, job_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str job_id: Job ID. (required)
        :param str x_auth_token: Authorization Token.
        :return: StatusResult
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'job_id', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_job_status" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `get_job_status`")
        # verify the required parameter 'job_id' is set
        if ('job_id' not in params) or (params['job_id'] is None):
            raise ValueError("Missing the required parameter `job_id` when calling `get_job_status`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']
        if 'job_id' in params:
            path_params['job_id'] = params['job_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/jobs/{job_id}/status', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='StatusResult',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def get_resource_info(self, project_id, resource_name, **kwargs):
        """
        List specified resource
        List specified resource.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_resource_info(project_id, resource_name, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str resource_name: Resource name. (required)
        :param str group: Resource group.
        :param str x_auth_token: Authorization Token
        :return: PkgResourceInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.get_resource_info_with_http_info(project_id, resource_name, **kwargs)
        else:
            (data) = self.get_resource_info_with_http_info(project_id, resource_name, **kwargs)
            return data

    def get_resource_info_with_http_info(self, project_id, resource_name, **kwargs):
        """
        List specified resource
        List specified resource.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_resource_info_with_http_info(project_id, resource_name, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str resource_name: Resource name. (required)
        :param str group: Resource group.
        :param str x_auth_token: Authorization Token
        :return: PkgResourceInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'resource_name', 'group', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_resource_info" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `get_resource_info`")
        # verify the required parameter 'resource_name' is set
        if ('resource_name' not in params) or (params['resource_name'] is None):
            raise ValueError("Missing the required parameter `resource_name` when calling `get_resource_info`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']
        if 'resource_name' in params:
            path_params['resource_name'] = params['resource_name']

        query_params = []
        if 'group' in params:
            query_params.append(('group', params['group']))

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v2.0/{project_id}/resources/{resource_name}', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='PkgResourceInfo',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def get_specified_queue(self, project_id, queue_name, **kwargs):
        """
        Get queue
        Get the specified queue.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_specified_queue(project_id, queue_name, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str queue_name: The name of the queue (required)
        :param str x_auth_token: Authorization Token
        :return: QueueInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.get_specified_queue_with_http_info(project_id, queue_name, **kwargs)
        else:
            (data) = self.get_specified_queue_with_http_info(project_id, queue_name, **kwargs)
            return data

    def get_specified_queue_with_http_info(self, project_id, queue_name, **kwargs):
        """
        Get queue
        Get the specified queue.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_specified_queue_with_http_info(project_id, queue_name, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str queue_name: The name of the queue (required)
        :param str x_auth_token: Authorization Token
        :return: QueueInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'queue_name', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_specified_queue" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `get_specified_queue`")
        # verify the required parameter 'queue_name' is set
        if ('queue_name' not in params) or (params['queue_name'] is None):
            raise ValueError("Missing the required parameter `queue_name` when calling `get_specified_queue`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']
        if 'queue_name' in params:
            path_params['queue_name'] = params['queue_name']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/queues/{queue_name}', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='QueueInfo',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def get_tsdb_by_id(self, project_id, tsdb_id, **kwargs):
        """
        查询时序数据库配置信息详情
        根据时序数据库ID，查询时序数据库详情
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_tsdb_by_id(project_id, tsdb_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: 项目ID (required)
        :param int tsdb_id: 时序数据库的ID (required)
        :param str x_auth_token: Authorization Token
        :return: GetTsdbByIdResp
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.get_tsdb_by_id_with_http_info(project_id, tsdb_id, **kwargs)
        else:
            (data) = self.get_tsdb_by_id_with_http_info(project_id, tsdb_id, **kwargs)
            return data

    def get_tsdb_by_id_with_http_info(self, project_id, tsdb_id, **kwargs):
        """
        查询时序数据库配置信息详情
        根据时序数据库ID，查询时序数据库详情
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_tsdb_by_id_with_http_info(project_id, tsdb_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: 项目ID (required)
        :param int tsdb_id: 时序数据库的ID (required)
        :param str x_auth_token: Authorization Token
        :return: GetTsdbByIdResp
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'tsdb_id', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_tsdb_by_id" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `get_tsdb_by_id`")
        # verify the required parameter 'tsdb_id' is set
        if ('tsdb_id' not in params) or (params['tsdb_id'] is None):
            raise ValueError("Missing the required parameter `tsdb_id` when calling `get_tsdb_by_id`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']
        if 'tsdb_id' in params:
            path_params['tsdb_id'] = params['tsdb_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v3/{project_id}/tsdbs/{tsdb_id}', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='GetTsdbByIdResp',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def get_tsdb_list(self, project_id, **kwargs):
        """
        查询时序数据库配置信息列表
        
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_tsdb_list(project_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id:  (required)
        :param int offset: 偏移量
        :param int limit: 每页的数量
        :param str x_auth_token: Authorization Token
        :return: GetTsdbListResp
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.get_tsdb_list_with_http_info(project_id, **kwargs)
        else:
            (data) = self.get_tsdb_list_with_http_info(project_id, **kwargs)
            return data

    def get_tsdb_list_with_http_info(self, project_id, **kwargs):
        """
        查询时序数据库配置信息列表
        
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.get_tsdb_list_with_http_info(project_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id:  (required)
        :param int offset: 偏移量
        :param int limit: 每页的数量
        :param str x_auth_token: Authorization Token
        :return: GetTsdbListResp
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'offset', 'limit', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method get_tsdb_list" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `get_tsdb_list`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']

        query_params = []
        if 'offset' in params:
            query_params.append(('offset', params['offset']))
        if 'limit' in params:
            query_params.append(('limit', params['limit']))

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v3/{project_id}/tsdbs', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='GetTsdbListResp',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def import_data(self, project_id, import_export_info, **kwargs):
        """
        Import data
        Importing data from a file into a DLI table currently only supports importing data from OBS into DLI.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.import_data(project_id, import_export_info, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param ImportJobRequest import_export_info: Request parameters (required)
        :param str x_auth_token: Authorization Token.
        :return: ResponseJobInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.import_data_with_http_info(project_id, import_export_info, **kwargs)
        else:
            (data) = self.import_data_with_http_info(project_id, import_export_info, **kwargs)
            return data

    def import_data_with_http_info(self, project_id, import_export_info, **kwargs):
        """
        Import data
        Importing data from a file into a DLI table currently only supports importing data from OBS into DLI.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.import_data_with_http_info(project_id, import_export_info, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param ImportJobRequest import_export_info: Request parameters (required)
        :param str x_auth_token: Authorization Token.
        :return: ResponseJobInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'import_export_info', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method import_data" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `import_data`")
        # verify the required parameter 'import_export_info' is set
        if ('import_export_info' not in params) or (params['import_export_info'] is None):
            raise ValueError("Missing the required parameter `import_export_info` when calling `import_data`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        if 'import_export_info' in params:
            body_params = params['import_export_info']
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/jobs/import-table', 'POST',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='ResponseJobInfo',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def list_all_databases(self, project_id, **kwargs):
        """
        List all databases
        List all databases info,include owner and table_number.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.list_all_databases(project_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str x_auth_token: Authorization Token
        :return: DatabaseResult
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.list_all_databases_with_http_info(project_id, **kwargs)
        else:
            (data) = self.list_all_databases_with_http_info(project_id, **kwargs)
            return data

    def list_all_databases_with_http_info(self, project_id, **kwargs):
        """
        List all databases
        List all databases info,include owner and table_number.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.list_all_databases_with_http_info(project_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str x_auth_token: Authorization Token
        :return: DatabaseResult
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method list_all_databases" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `list_all_databases`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/databases', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='DatabaseResult',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def list_all_jobs(self, project_id, **kwargs):
        """
        List all jobs
        List all jobs
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.list_all_jobs(project_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str x_auth_token: Authorization Token.
        :param int page_size: The maximum number of rows displayed per page,in the range: [1, 100]. The default is: 10.
        :param int current_page: The current page number, the default is the first page.
        :param int start:
        :param int end:
        :param str job_type:
        :param str tags:
        :param str queue_name:
        :param str owner:
        :param str job_status:
        :param str order: 查询结果排序, 升序和降序两种可选
        :return: JobListResult
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.list_all_jobs_with_http_info(project_id, **kwargs)
        else:
            (data) = self.list_all_jobs_with_http_info(project_id, **kwargs)
            return data

    def list_all_jobs_with_http_info(self, project_id, **kwargs):
        """
        List all jobs
        List all jobs
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.list_all_jobs_with_http_info(project_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str x_auth_token: Authorization Token.
        :param int page_size: The maximum number of rows displayed per page,in the range: [1, 100]. The default is: 10.
        :param int current_page: The current page number, the default is the first page.
        :param int start:
        :param int end:
        :param str job_type:
        :param str tags:
        :param str queue_name:
        :param str owner:
        :param str job_status:
        :param str order: 查询结果排序, 升序和降序两种可选
        :return: JobListResult
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'x_auth_token', 'page_size', 'current_page', 'start', 'end', 'job_type', 'tags', 'queue_name', 'owner', 'job_status', 'order']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method list_all_jobs" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `list_all_jobs`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']

        query_params = []
        if 'page_size' in params:
            query_params.append(('page-size', params['page_size']))
        if 'current_page' in params:
            query_params.append(('current-page', params['current_page']))
        if 'start' in params:
            query_params.append(('start', params['start']))
        if 'end' in params:
            query_params.append(('end', params['end']))
        if 'job_type' in params:
            query_params.append(('job-type', params['job_type']))
        if 'tags' in params:
            query_params.append(('tags', params['tags']))
        if 'queue_name' in params:
            query_params.append(('queue_name', params['queue_name']))
        if 'owner' in params:
            query_params.append(('owner', params['owner']))
        if 'job_status' in params:
            query_params.append(('job-status', params['job_status']))
        if 'order' in params:
            query_params.append(('order', params['order']))

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/jobs', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='JobListResult',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def list_all_queues(self, project_id, **kwargs):
        """
        List all queues
        List all the queues under the project.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.list_all_queues(project_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str x_auth_token: Authorization Token
        :param str queue_type: Queue Type
        :return: QueueResult
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.list_all_queues_with_http_info(project_id, **kwargs)
        else:
            (data) = self.list_all_queues_with_http_info(project_id, **kwargs)
            return data

    def list_all_queues_with_http_info(self, project_id, **kwargs):
        """
        List all queues
        List all the queues under the project.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.list_all_queues_with_http_info(project_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str x_auth_token: Authorization Token
        :param str queue_type: Queue Type
        :return: QueueResult
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'x_auth_token', 'queue_type']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method list_all_queues" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `list_all_queues`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']

        query_params = []
        if 'queue_type' in params:
            query_params.append(('queue_type', params['queue_type']))

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/queues', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='QueueResult',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def list_all_tables(self, project_id, database_name, **kwargs):
        """
        List all tables
        Query the specified database under the filter conditions or all of the table information.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.list_all_tables(project_id, database_name, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str database_name: View the database where the table name. (required)
        :param str x_auth_token: Authorization Token.
        :param str keyword: Keywords for filtering table names.
        :param bool with_detail: Whether to get the details of the table (owner, size, etc.).
        :param int page_size:
        :param int current_page:
        :param str table_type:
        :return: TableListResult
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.list_all_tables_with_http_info(project_id, database_name, **kwargs)
        else:
            (data) = self.list_all_tables_with_http_info(project_id, database_name, **kwargs)
            return data

    def list_all_tables_with_http_info(self, project_id, database_name, **kwargs):
        """
        List all tables
        Query the specified database under the filter conditions or all of the table information.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.list_all_tables_with_http_info(project_id, database_name, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str database_name: View the database where the table name. (required)
        :param str x_auth_token: Authorization Token.
        :param str keyword: Keywords for filtering table names.
        :param bool with_detail: Whether to get the details of the table (owner, size, etc.).
        :param int page_size:
        :param int current_page:
        :param str table_type:
        :return: TableListResult
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'database_name', 'x_auth_token', 'keyword', 'with_detail', 'page_size', 'current_page', 'table_type']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method list_all_tables" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `list_all_tables`")
        # verify the required parameter 'database_name' is set
        if ('database_name' not in params) or (params['database_name'] is None):
            raise ValueError("Missing the required parameter `database_name` when calling `list_all_tables`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']
        if 'database_name' in params:
            path_params['database_name'] = params['database_name']

        query_params = []
        if 'keyword' in params:
            query_params.append(('keyword', params['keyword']))
        if 'with_detail' in params:
            query_params.append(('with-detail', params['with_detail']))
        if 'page_size' in params:
            query_params.append(('page-size', params['page_size']))
        if 'current_page' in params:
            query_params.append(('current-page', params['current_page']))
        if 'table_type' in params:
            query_params.append(('table-type', params['table_type']))

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/databases/{database_name}/tables', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='TableListResult',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def list_cluster(self, project_id, **kwargs):
        """
        List all clusters
        List all clusters.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.list_cluster(project_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str x_auth_token: Authorization Token
        :return: ClusterInfos
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.list_cluster_with_http_info(project_id, **kwargs)
        else:
            (data) = self.list_cluster_with_http_info(project_id, **kwargs)
            return data

    def list_cluster_with_http_info(self, project_id, **kwargs):
        """
        List all clusters
        List all clusters.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.list_cluster_with_http_info(project_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str x_auth_token: Authorization Token
        :return: ClusterInfos
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method list_cluster" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `list_cluster`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v2.0/{project_id}/clusters', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='ClusterInfos',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def list_database_users(self, project_id, database_name, **kwargs):
        """
        List Database Users
        View the current database has permission to use or access all user names.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.list_database_users(project_id, database_name, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str database_name: The database name to be queried.. (required)
        :param str x_auth_token: Authorization Token.
        :return: PrivilegeResult
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.list_database_users_with_http_info(project_id, database_name, **kwargs)
        else:
            (data) = self.list_database_users_with_http_info(project_id, database_name, **kwargs)
            return data

    def list_database_users_with_http_info(self, project_id, database_name, **kwargs):
        """
        List Database Users
        View the current database has permission to use or access all user names.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.list_database_users_with_http_info(project_id, database_name, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str database_name: The database name to be queried.. (required)
        :param str x_auth_token: Authorization Token.
        :return: PrivilegeResult
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'database_name', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method list_database_users" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `list_database_users`")
        # verify the required parameter 'database_name' is set
        if ('database_name' not in params) or (params['database_name'] is None):
            raise ValueError("Missing the required parameter `database_name` when calling `list_database_users`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']
        if 'database_name' in params:
            path_params['database_name'] = params['database_name']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/databases/{database_name}/users', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='PrivilegeResult',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def list_queue_users(self, project_id, queue_name, **kwargs):
        """
        List queue users
        Queries all the user names of the specified queue that can be used.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.list_queue_users(project_id, queue_name, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str queue_name: The name of the queue (required)
        :param str x_auth_token: Authorization Token.
        :return: PrivilegeResult
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.list_queue_users_with_http_info(project_id, queue_name, **kwargs)
        else:
            (data) = self.list_queue_users_with_http_info(project_id, queue_name, **kwargs)
            return data

    def list_queue_users_with_http_info(self, project_id, queue_name, **kwargs):
        """
        List queue users
        Queries all the user names of the specified queue that can be used.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.list_queue_users_with_http_info(project_id, queue_name, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str queue_name: The name of the queue (required)
        :param str x_auth_token: Authorization Token.
        :return: PrivilegeResult
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'queue_name', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method list_queue_users" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `list_queue_users`")
        # verify the required parameter 'queue_name' is set
        if ('queue_name' not in params) or (params['queue_name'] is None):
            raise ValueError("Missing the required parameter `queue_name` when calling `list_queue_users`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']
        if 'queue_name' in params:
            path_params['queue_name'] = params['queue_name']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/queues/{queue_name}/users', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='PrivilegeResult',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def list_resources(self, project_id, **kwargs):
        """
        List all resources
        List all resources.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.list_resources(project_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str x_auth_token: Authorization Token
        :param str kind:
        :return: ResourceInfos
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.list_resources_with_http_info(project_id, **kwargs)
        else:
            (data) = self.list_resources_with_http_info(project_id, **kwargs)
            return data

    def list_resources_with_http_info(self, project_id, **kwargs):
        """
        List all resources
        List all resources.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.list_resources_with_http_info(project_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str x_auth_token: Authorization Token
        :param str kind:
        :return: ResourceInfos
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'x_auth_token', 'kind']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method list_resources" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `list_resources`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']

        query_params = []
        if 'kind' in params:
            query_params.append(('kind', params['kind']))

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v2.0/{project_id}/resources', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='ResourceInfos',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def list_sql_jobs(self, project_id, **kwargs):
        """
        List all sql jobs
        List all sql jobs
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.list_sql_jobs(project_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str x_auth_token: Authorization Token.
        :param int page_size: The maximum number of rows displayed per page,in the range: [1, 100]. The default is: 10.
        :param int current_page: The current page number, the default is the first page.
        :param str tags:
        :return: JobListResult
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.list_sql_jobs_with_http_info(project_id, **kwargs)
        else:
            (data) = self.list_sql_jobs_with_http_info(project_id, **kwargs)
            return data

    def list_sql_jobs_with_http_info(self, project_id, **kwargs):
        """
        List all sql jobs
        List all sql jobs
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.list_sql_jobs_with_http_info(project_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str x_auth_token: Authorization Token.
        :param int page_size: The maximum number of rows displayed per page,in the range: [1, 100]. The default is: 10.
        :param int current_page: The current page number, the default is the first page.
        :param str tags:
        :return: JobListResult
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'x_auth_token', 'page_size', 'current_page', 'tags']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method list_sql_jobs" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `list_sql_jobs`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']

        query_params = []
        if 'page_size' in params:
            query_params.append(('page-size', params['page_size']))
        if 'current_page' in params:
            query_params.append(('current-page', params['current_page']))
        if 'tags' in params:
            query_params.append(('tags', params['tags']))

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/jobs/sql-jobs', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='JobListResult',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def list_table_user_privileges(self, project_id, database_name, table_name, user_name, **kwargs):
        """
        List Table User Privileges
        Query the specified user's privileges list on the table.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.list_table_user_privileges(project_id, database_name, table_name, user_name, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str database_name: The database name to be queried. (required)
        :param str table_name: The name of the table to be queried. (required)
        :param str user_name: The name of the user to be queried. (required)
        :param str x_auth_token: Authorization Token.
        :return: PrivilegeResult
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.list_table_user_privileges_with_http_info(project_id, database_name, table_name, user_name, **kwargs)
        else:
            (data) = self.list_table_user_privileges_with_http_info(project_id, database_name, table_name, user_name, **kwargs)
            return data

    def list_table_user_privileges_with_http_info(self, project_id, database_name, table_name, user_name, **kwargs):
        """
        List Table User Privileges
        Query the specified user's privileges list on the table.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.list_table_user_privileges_with_http_info(project_id, database_name, table_name, user_name, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str database_name: The database name to be queried. (required)
        :param str table_name: The name of the table to be queried. (required)
        :param str user_name: The name of the user to be queried. (required)
        :param str x_auth_token: Authorization Token.
        :return: PrivilegeResult
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'database_name', 'table_name', 'user_name', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method list_table_user_privileges" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `list_table_user_privileges`")
        # verify the required parameter 'database_name' is set
        if ('database_name' not in params) or (params['database_name'] is None):
            raise ValueError("Missing the required parameter `database_name` when calling `list_table_user_privileges`")
        # verify the required parameter 'table_name' is set
        if ('table_name' not in params) or (params['table_name'] is None):
            raise ValueError("Missing the required parameter `table_name` when calling `list_table_user_privileges`")
        # verify the required parameter 'user_name' is set
        if ('user_name' not in params) or (params['user_name'] is None):
            raise ValueError("Missing the required parameter `user_name` when calling `list_table_user_privileges`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']
        if 'database_name' in params:
            path_params['database_name'] = params['database_name']
        if 'table_name' in params:
            path_params['table_name'] = params['table_name']
        if 'user_name' in params:
            path_params['user_name'] = params['user_name']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/databases/{database_name}/tables/{table_name}/users/{user_name}', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='PrivilegeResult',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def list_table_users(self, project_id, database_name, table_name, **kwargs):
        """
        List Table Users
        View all users who have access to the columns of the specified table or table.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.list_table_users(project_id, database_name, table_name, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str database_name: The database name to be queried.. (required)
        :param str table_name: The name of the table to be queried. (required)
        :param str x_auth_token: Authorization Token.
        :return: PrivilegeResult
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.list_table_users_with_http_info(project_id, database_name, table_name, **kwargs)
        else:
            (data) = self.list_table_users_with_http_info(project_id, database_name, table_name, **kwargs)
            return data

    def list_table_users_with_http_info(self, project_id, database_name, table_name, **kwargs):
        """
        List Table Users
        View all users who have access to the columns of the specified table or table.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.list_table_users_with_http_info(project_id, database_name, table_name, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str database_name: The database name to be queried.. (required)
        :param str table_name: The name of the table to be queried. (required)
        :param str x_auth_token: Authorization Token.
        :return: PrivilegeResult
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'database_name', 'table_name', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method list_table_users" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `list_table_users`")
        # verify the required parameter 'database_name' is set
        if ('database_name' not in params) or (params['database_name'] is None):
            raise ValueError("Missing the required parameter `database_name` when calling `list_table_users`")
        # verify the required parameter 'table_name' is set
        if ('table_name' not in params) or (params['table_name'] is None):
            raise ValueError("Missing the required parameter `table_name` when calling `list_table_users`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']
        if 'database_name' in params:
            path_params['database_name'] = params['database_name']
        if 'table_name' in params:
            path_params['table_name'] = params['table_name']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/databases/{database_name}/tables/{table_name}/users', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='PrivilegeResult',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def preview_job_result(self, project_id, job_id, **kwargs):
        """
        Get job result
        After the job executing the SQL query is completed, review the result of the job execution. Currently, it is only supported to see the results of the execution of QUERY type jobs. The API can only view the results of the first 1000 records, to see all the results of the record, you need to export the query results before viewing
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.preview_job_result(project_id, job_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str job_id: Job ID. (required)
        :param str x_auth_token: Authorization Token.
        :param str queue_name: The DLI queue that executed this API request.
        :return: JobResult
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.preview_job_result_with_http_info(project_id, job_id, **kwargs)
        else:
            (data) = self.preview_job_result_with_http_info(project_id, job_id, **kwargs)
            return data

    def preview_job_result_with_http_info(self, project_id, job_id, **kwargs):
        """
        Get job result
        After the job executing the SQL query is completed, review the result of the job execution. Currently, it is only supported to see the results of the execution of QUERY type jobs. The API can only view the results of the first 1000 records, to see all the results of the record, you need to export the query results before viewing
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.preview_job_result_with_http_info(project_id, job_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str job_id: Job ID. (required)
        :param str x_auth_token: Authorization Token.
        :param str queue_name: The DLI queue that executed this API request.
        :return: JobResult
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'job_id', 'x_auth_token', 'queue_name']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method preview_job_result" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `preview_job_result`")
        # verify the required parameter 'job_id' is set
        if ('job_id' not in params) or (params['job_id'] is None):
            raise ValueError("Missing the required parameter `job_id` when calling `preview_job_result`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']
        if 'job_id' in params:
            path_params['job_id'] = params['job_id']

        query_params = []
        if 'queue_name' in params:
            query_params.append(('queue-name', params['queue_name']))

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/jobs/{job_id}/preview', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='JobResult',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def queue_action(self, project_id, queue_name, body, **kwargs):
        """
        队列操作
        
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.queue_action(project_id, queue_name, body, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: project id, 用于不同project取token. (required)
        :param str queue_name: queue名称，指定queue (required)
        :param QueueActionRequest body: 队列操作请求体, 请求参数为json格式 (required)
        :param str x_auth_token: Authorization Token.
        :return: QueueActionResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.queue_action_with_http_info(project_id, queue_name, body, **kwargs)
        else:
            (data) = self.queue_action_with_http_info(project_id, queue_name, body, **kwargs)
            return data

    def queue_action_with_http_info(self, project_id, queue_name, body, **kwargs):
        """
        队列操作
        
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.queue_action_with_http_info(project_id, queue_name, body, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: project id, 用于不同project取token. (required)
        :param str queue_name: queue名称，指定queue (required)
        :param QueueActionRequest body: 队列操作请求体, 请求参数为json格式 (required)
        :param str x_auth_token: Authorization Token.
        :return: QueueActionResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'queue_name', 'body', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method queue_action" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `queue_action`")
        # verify the required parameter 'queue_name' is set
        if ('queue_name' not in params) or (params['queue_name'] is None):
            raise ValueError("Missing the required parameter `queue_name` when calling `queue_action`")
        # verify the required parameter 'body' is set
        if ('body' not in params) or (params['body'] is None):
            raise ValueError("Missing the required parameter `body` when calling `queue_action`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']
        if 'queue_name' in params:
            path_params['queue_name'] = params['queue_name']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        if 'body' in params:
            body_params = params['body']
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.\
            select_header_content_type(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/queues/{queue_name}/action', 'PUT',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='QueueActionResponse',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def run_flink_job(self, project_id, body, **kwargs):
        """
        运行作业
        触发运行作业
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.run_flink_job(project_id, body, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: project id, 用于不同project取token. (required)
        :param RunFlinkJobRequest body: JSON格式的请求体 (required)
        :param str x_auth_token: Authorization Token
        :return: list[GlobalBatchResponse]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.run_flink_job_with_http_info(project_id, body, **kwargs)
        else:
            (data) = self.run_flink_job_with_http_info(project_id, body, **kwargs)
            return data

    def run_flink_job_with_http_info(self, project_id, body, **kwargs):
        """
        运行作业
        触发运行作业
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.run_flink_job_with_http_info(project_id, body, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: project id, 用于不同project取token. (required)
        :param RunFlinkJobRequest body: JSON格式的请求体 (required)
        :param str x_auth_token: Authorization Token
        :return: list[GlobalBatchResponse]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'body', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method run_flink_job" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `run_flink_job`")
        # verify the required parameter 'body' is set
        if ('body' not in params) or (params['body'] is None):
            raise ValueError("Missing the required parameter `body` when calling `run_flink_job`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        if 'body' in params:
            body_params = params['body']
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/streaming/jobs/run', 'POST',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='list[GlobalBatchResponse]',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def share_queue(self, project_id, privilege_info, **kwargs):
        """
        Share queues
        To share the specified queue with other users, you can assign the user the privilege to use the specified queue or to recover the usage privileges.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.share_queue(project_id, privilege_info, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param PrivilegeInfo privilege_info: Request parameters (required)
        :param str x_auth_token: Authorization Token.
        :return: ResponseInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.share_queue_with_http_info(project_id, privilege_info, **kwargs)
        else:
            (data) = self.share_queue_with_http_info(project_id, privilege_info, **kwargs)
            return data

    def share_queue_with_http_info(self, project_id, privilege_info, **kwargs):
        """
        Share queues
        To share the specified queue with other users, you can assign the user the privilege to use the specified queue or to recover the usage privileges.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.share_queue_with_http_info(project_id, privilege_info, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param PrivilegeInfo privilege_info: Request parameters (required)
        :param str x_auth_token: Authorization Token.
        :return: ResponseInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'privilege_info', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method share_queue" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `share_queue`")
        # verify the required parameter 'privilege_info' is set
        if ('privilege_info' not in params) or (params['privilege_info'] is None):
            raise ValueError("Missing the required parameter `privilege_info` when calling `share_queue`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        if 'privilege_info' in params:
            body_params = params['privilege_info']
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # HTTP header `Content-Type`
        header_params['Content-Type'] = self.api_client.\
            select_header_content_type(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/queues/user-authorization', 'PUT',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='ResponseInfo',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def show_partitions(self, project_id, database_name, table_name, **kwargs):
        """
        Show partition information
        Describes the partition information for the specified table.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.show_partitions(project_id, database_name, table_name, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str database_name: The name of the database where the table to be described is located. (required)
        :param str table_name: The name of the table to be described. (required)
        :param str x_auth_token: Authorization Token.
        :param int offset: The offset of the table to be set.
        :param int limit: The limit of the table to be set.
        :return: PartitionResult
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.show_partitions_with_http_info(project_id, database_name, table_name, **kwargs)
        else:
            (data) = self.show_partitions_with_http_info(project_id, database_name, table_name, **kwargs)
            return data

    def show_partitions_with_http_info(self, project_id, database_name, table_name, **kwargs):
        """
        Show partition information
        Describes the partition information for the specified table.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.show_partitions_with_http_info(project_id, database_name, table_name, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str database_name: The name of the database where the table to be described is located. (required)
        :param str table_name: The name of the table to be described. (required)
        :param str x_auth_token: Authorization Token.
        :param int offset: The offset of the table to be set.
        :param int limit: The limit of the table to be set.
        :return: PartitionResult
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'database_name', 'table_name', 'x_auth_token', 'offset', 'limit']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method show_partitions" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `show_partitions`")
        # verify the required parameter 'database_name' is set
        if ('database_name' not in params) or (params['database_name'] is None):
            raise ValueError("Missing the required parameter `database_name` when calling `show_partitions`")
        # verify the required parameter 'table_name' is set
        if ('table_name' not in params) or (params['table_name'] is None):
            raise ValueError("Missing the required parameter `table_name` when calling `show_partitions`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']
        if 'database_name' in params:
            path_params['database_name'] = params['database_name']
        if 'table_name' in params:
            path_params['table_name'] = params['table_name']

        query_params = []
        if 'offset' in params:
            query_params.append(('offset', params['offset']))
        if 'limit' in params:
            query_params.append(('limit', params['limit']))

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/databases/{database_name}/tables/{table_name}/partitions', 'GET',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='PartitionResult',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def stop_flink_job(self, project_id, body, **kwargs):
        """
        停止作业
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.stop_flink_job(project_id, body, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: project id, 用于不同project取token. (required)
        :param StopFlinkJobRequest body: JSON格式的请求体 (required)
        :param str x_auth_token: Authorization Token
        :return: list[GlobalBatchResponse]
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.stop_flink_job_with_http_info(project_id, body, **kwargs)
        else:
            (data) = self.stop_flink_job_with_http_info(project_id, body, **kwargs)
            return data

    def stop_flink_job_with_http_info(self, project_id, body, **kwargs):
        """
        停止作业
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.stop_flink_job_with_http_info(project_id, body, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: project id, 用于不同project取token. (required)
        :param StopFlinkJobRequest body: JSON格式的请求体 (required)
        :param str x_auth_token: Authorization Token
        :return: list[GlobalBatchResponse]
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'body', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method stop_flink_job" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `stop_flink_job`")
        # verify the required parameter 'body' is set
        if ('body' not in params) or (params['body'] is None):
            raise ValueError("Missing the required parameter `body` when calling `stop_flink_job`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        if 'body' in params:
            body_params = params['body']
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/streaming/jobs/stop', 'POST',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='list[GlobalBatchResponse]',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def store_job_result(self, project_id, job_id, **kwargs):
        """
        Export job result
        Export the results of the SQL statement to the OBS object store and only support the export of query results for \"QUERY\" type jobs.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.store_job_result(project_id, job_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str job_id: Job ID. (required)
        :param str x_auth_token: Authorization Token.
        :param ExportCommonInfo export_common_info: Request parameters
        :return: ResponseJobInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.store_job_result_with_http_info(project_id, job_id, **kwargs)
        else:
            (data) = self.store_job_result_with_http_info(project_id, job_id, **kwargs)
            return data

    def store_job_result_with_http_info(self, project_id, job_id, **kwargs):
        """
        Export job result
        Export the results of the SQL statement to the OBS object store and only support the export of query results for \"QUERY\" type jobs.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.store_job_result_with_http_info(project_id, job_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param str job_id: Job ID. (required)
        :param str x_auth_token: Authorization Token.
        :param ExportCommonInfo export_common_info: Request parameters
        :return: ResponseJobInfo
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'job_id', 'x_auth_token', 'export_common_info']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method store_job_result" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `store_job_result`")
        # verify the required parameter 'job_id' is set
        if ('job_id' not in params) or (params['job_id'] is None):
            raise ValueError("Missing the required parameter `job_id` when calling `store_job_result`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']
        if 'job_id' in params:
            path_params['job_id'] = params['job_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        if 'export_common_info' in params:
            body_params = params['export_common_info']
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/jobs/{job_id}/export-result', 'POST',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='ResponseJobInfo',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def submit_flink_jar_job(self, project_id, body, **kwargs):
        """
        创建一个用户自定义Flink作业
        用户自定义Flink作业目前支持jar格式, 运行在独享集群中
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.submit_flink_jar_job(project_id, body, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: project id, 用于不同project取token. (required)
        :param CreateFlinkJarJobRequest body: JSON格式的请求体 (required)
        :param str x_auth_token: Authorization Token
        :return: JobStatusResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.submit_flink_jar_job_with_http_info(project_id, body, **kwargs)
        else:
            (data) = self.submit_flink_jar_job_with_http_info(project_id, body, **kwargs)
            return data

    def submit_flink_jar_job_with_http_info(self, project_id, body, **kwargs):
        """
        创建一个用户自定义Flink作业
        用户自定义Flink作业目前支持jar格式, 运行在独享集群中
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.submit_flink_jar_job_with_http_info(project_id, body, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: project id, 用于不同project取token. (required)
        :param CreateFlinkJarJobRequest body: JSON格式的请求体 (required)
        :param str x_auth_token: Authorization Token
        :return: JobStatusResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'body', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method submit_flink_jar_job" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `submit_flink_jar_job`")
        # verify the required parameter 'body' is set
        if ('body' not in params) or (params['body'] is None):
            raise ValueError("Missing the required parameter `body` when calling `submit_flink_jar_job`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        if 'body' in params:
            body_params = params['body']
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/streaming/flink-jobs', 'POST',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='JobStatusResponse',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def submit_flink_sql_job(self, project_id, body, **kwargs):
        """
        提交流式SQL作业到DLI服务
        通过POST方式, 提交流式SQL作业, 请求体为JSON格式
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.submit_flink_sql_job(project_id, body, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: project id, 用于不同project取token. (required)
        :param SubmitFlinkSqlJobRequest body: JSON格式的请求体 (required)
        :param str x_auth_token: Authorization Token
        :return: JobStatusResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.submit_flink_sql_job_with_http_info(project_id, body, **kwargs)
        else:
            (data) = self.submit_flink_sql_job_with_http_info(project_id, body, **kwargs)
            return data

    def submit_flink_sql_job_with_http_info(self, project_id, body, **kwargs):
        """
        提交流式SQL作业到DLI服务
        通过POST方式, 提交流式SQL作业, 请求体为JSON格式
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.submit_flink_sql_job_with_http_info(project_id, body, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: project id, 用于不同project取token. (required)
        :param SubmitFlinkSqlJobRequest body: JSON格式的请求体 (required)
        :param str x_auth_token: Authorization Token
        :return: JobStatusResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'body', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method submit_flink_sql_job" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `submit_flink_sql_job`")
        # verify the required parameter 'body' is set
        if ('body' not in params) or (params['body'] is None):
            raise ValueError("Missing the required parameter `body` when calling `submit_flink_sql_job`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        if 'body' in params:
            body_params = params['body']
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/streaming/sql-jobs', 'POST',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='JobStatusResponse',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def update_flink_jar_job(self, project_id, job_id, body, **kwargs):
        """
        更新用户自定义Flink作业
        目前仅支持Jar格式, 运行在独享集群中
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.update_flink_jar_job(project_id, job_id, body, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: project id, 用于不同project取token. (required)
        :param int job_id: (required)
        :param UpdateFlinkJarJobRequest body: JSON格式的请求体 (required)
        :param str x_auth_token: Authorization Token
        :return: JobUpdateResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.update_flink_jar_job_with_http_info(project_id, job_id, body, **kwargs)
        else:
            (data) = self.update_flink_jar_job_with_http_info(project_id, job_id, body, **kwargs)
            return data

    def update_flink_jar_job_with_http_info(self, project_id, job_id, body, **kwargs):
        """
        更新用户自定义Flink作业
        目前仅支持Jar格式, 运行在独享集群中
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.update_flink_jar_job_with_http_info(project_id, job_id, body, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: project id, 用于不同project取token. (required)
        :param int job_id: (required)
        :param UpdateFlinkJarJobRequest body: JSON格式的请求体 (required)
        :param str x_auth_token: Authorization Token
        :return: JobUpdateResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'job_id', 'body', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method update_flink_jar_job" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `update_flink_jar_job`")
        # verify the required parameter 'job_id' is set
        if ('job_id' not in params) or (params['job_id'] is None):
            raise ValueError("Missing the required parameter `job_id` when calling `update_flink_jar_job`")
        # verify the required parameter 'body' is set
        if ('body' not in params) or (params['body'] is None):
            raise ValueError("Missing the required parameter `body` when calling `update_flink_jar_job`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']
        if 'job_id' in params:
            path_params['job_id'] = params['job_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        if 'body' in params:
            body_params = params['body']
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/streaming/flink-jobs/{job_id}', 'PUT',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='JobUpdateResponse',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def update_flink_job_template(self, project_id, template_id, body, **kwargs):
        """
        更新作业模板
        Update job template on Data lake insight
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.update_flink_job_template(project_id, template_id, body, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: project id, 用于不同project取token. (required)
        :param int template_id: (required)
        :param UpdateFlinkJobTemplateRequest body: 提交修改SQL作业模板请求 (required)
        :param str x_auth_token: Authorization Token
        :return: GlobalResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.update_flink_job_template_with_http_info(project_id, template_id, body, **kwargs)
        else:
            (data) = self.update_flink_job_template_with_http_info(project_id, template_id, body, **kwargs)
            return data

    def update_flink_job_template_with_http_info(self, project_id, template_id, body, **kwargs):
        """
        更新作业模板
        Update job template on Data lake insight
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.update_flink_job_template_with_http_info(project_id, template_id, body, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: project id, 用于不同project取token. (required)
        :param int template_id: (required)
        :param UpdateFlinkJobTemplateRequest body: 提交修改SQL作业模板请求 (required)
        :param str x_auth_token: Authorization Token
        :return: GlobalResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'template_id', 'body', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method update_flink_job_template" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `update_flink_job_template`")
        # verify the required parameter 'template_id' is set
        if ('template_id' not in params) or (params['template_id'] is None):
            raise ValueError("Missing the required parameter `template_id` when calling `update_flink_job_template`")
        # verify the required parameter 'body' is set
        if ('body' not in params) or (params['body'] is None):
            raise ValueError("Missing the required parameter `body` when calling `update_flink_job_template`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']
        if 'template_id' in params:
            path_params['template_id'] = params['template_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        if 'body' in params:
            body_params = params['body']
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/streaming/job-templates/{template_id}', 'PUT',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='GlobalResponse',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def update_flink_sql_job(self, project_id, job_id, body, **kwargs):
        """
        更新流式SQL作业
        流式SQL的语法扩展了Apache Flink SQL, 具体详情请参考DLI官方文档
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.update_flink_sql_job(project_id, job_id, body, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: project id, 用于不同project取token. (required)
        :param int job_id: (required)
        :param UpdateFlinkSqlJobRequest body: 提交修改SQL作业请求 (required)
        :param str x_auth_token: Authorization Token
        :return: JobUpdateResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.update_flink_sql_job_with_http_info(project_id, job_id, body, **kwargs)
        else:
            (data) = self.update_flink_sql_job_with_http_info(project_id, job_id, body, **kwargs)
            return data

    def update_flink_sql_job_with_http_info(self, project_id, job_id, body, **kwargs):
        """
        更新流式SQL作业
        流式SQL的语法扩展了Apache Flink SQL, 具体详情请参考DLI官方文档
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.update_flink_sql_job_with_http_info(project_id, job_id, body, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: project id, 用于不同project取token. (required)
        :param int job_id: (required)
        :param UpdateFlinkSqlJobRequest body: 提交修改SQL作业请求 (required)
        :param str x_auth_token: Authorization Token
        :return: JobUpdateResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'job_id', 'body', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method update_flink_sql_job" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `update_flink_sql_job`")
        # verify the required parameter 'job_id' is set
        if ('job_id' not in params) or (params['job_id'] is None):
            raise ValueError("Missing the required parameter `job_id` when calling `update_flink_sql_job`")
        # verify the required parameter 'body' is set
        if ('body' not in params) or (params['body'] is None):
            raise ValueError("Missing the required parameter `body` when calling `update_flink_sql_job`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']
        if 'job_id' in params:
            path_params['job_id'] = params['job_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        if 'body' in params:
            body_params = params['body']
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.\
            select_header_accept(['application/json'])

        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v1.0/{project_id}/streaming/sql-jobs/{job_id}', 'PUT',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='JobUpdateResponse',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def update_tsdb(self, project_id, tsdb_id, **kwargs):
        """
        修改时序数据库配置信息
        修改时序数据库配置信息
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.update_tsdb(project_id, tsdb_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id:  (required)
        :param str tsdb_id:  (required)
        :param UpdateTsdbReq update_tsdb_req: This is a auto create Body Object
        :param str x_auth_token: Authorization Token
        :return: GlobalResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.update_tsdb_with_http_info(project_id, tsdb_id, **kwargs)
        else:
            (data) = self.update_tsdb_with_http_info(project_id, tsdb_id, **kwargs)
            return data

    def update_tsdb_with_http_info(self, project_id, tsdb_id, **kwargs):
        """
        修改时序数据库配置信息
        修改时序数据库配置信息
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.update_tsdb_with_http_info(project_id, tsdb_id, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id:  (required)
        :param str tsdb_id:  (required)
        :param UpdateTsdbReq update_tsdb_req: This is a auto create Body Object
        :param str x_auth_token: Authorization Token
        :return: GlobalResponse
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'tsdb_id', 'update_tsdb_req', 'x_auth_token']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method update_tsdb" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `update_tsdb`")
        # verify the required parameter 'tsdb_id' is set
        if ('tsdb_id' not in params) or (params['tsdb_id'] is None):
            raise ValueError("Missing the required parameter `tsdb_id` when calling `update_tsdb`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']
        if 'tsdb_id' in params:
            path_params['tsdb_id'] = params['tsdb_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']

        form_params = []
        local_var_files = {}

        body_params = None
        if 'update_tsdb_req' in params:
            body_params = params['update_tsdb_req']
        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v3/{project_id}/tsdbs/{tsdb_id}', 'PUT',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='GlobalResponse',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def upload_files(self, project_id, body, **kwargs):
        """
        Upload files
        Upload files.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.upload_files(project_id, body, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param PkgResourceRequest body: (required)
        :param str x_auth_token: Authorization Token
        :param str user_id: Real user id
        :return: ResourceMsg
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.upload_files_with_http_info(project_id, body, **kwargs)
        else:
            (data) = self.upload_files_with_http_info(project_id, body, **kwargs)
            return data

    def upload_files_with_http_info(self, project_id, body, **kwargs):
        """
        Upload files
        Upload files.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.upload_files_with_http_info(project_id, body, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param PkgResourceRequest body: (required)
        :param str x_auth_token: Authorization Token
        :param str user_id: Real user id
        :return: ResourceMsg
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'body', 'x_auth_token', 'user_id']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method upload_files" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `upload_files`")
        # verify the required parameter 'body' is set
        if ('body' not in params) or (params['body'] is None):
            raise ValueError("Missing the required parameter `body` when calling `upload_files`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']
        if 'user_id' in params:
            header_params['USER_ID'] = params['user_id']

        form_params = []
        local_var_files = {}

        body_params = None
        if 'body' in params:
            body_params = params['body']
        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v2.0/{project_id}/resources/files', 'POST',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='ResourceMsg',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def upload_jars(self, project_id, body, **kwargs):
        """
        Upload jars
        Upload jars.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.upload_jars(project_id, body, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param PkgResourceRequest body: (required)
        :param str x_auth_token: Authorization Token
        :param str user_id: Real user id
        :return: ResourceMsg
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.upload_jars_with_http_info(project_id, body, **kwargs)
        else:
            (data) = self.upload_jars_with_http_info(project_id, body, **kwargs)
            return data

    def upload_jars_with_http_info(self, project_id, body, **kwargs):
        """
        Upload jars
        Upload jars.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.upload_jars_with_http_info(project_id, body, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param PkgResourceRequest body: (required)
        :param str x_auth_token: Authorization Token
        :param str user_id: Real user id
        :return: ResourceMsg
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'body', 'x_auth_token', 'user_id']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method upload_jars" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `upload_jars`")
        # verify the required parameter 'body' is set
        if ('body' not in params) or (params['body'] is None):
            raise ValueError("Missing the required parameter `body` when calling `upload_jars`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']
        if 'user_id' in params:
            header_params['USER_ID'] = params['user_id']

        form_params = []
        local_var_files = {}

        body_params = None
        if 'body' in params:
            body_params = params['body']
        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v2.0/{project_id}/resources/jars', 'POST',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='ResourceMsg',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def upload_py_files(self, project_id, body, **kwargs):
        """
        Upload pyfiles
        Upload pyfiles.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.upload_py_files(project_id, body, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param PkgResourceRequest body: (required)
        :param str x_auth_token: Authorization Token
        :param str user_id: Real user id
        :return: ResourceMsg
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.upload_py_files_with_http_info(project_id, body, **kwargs)
        else:
            (data) = self.upload_py_files_with_http_info(project_id, body, **kwargs)
            return data

    def upload_py_files_with_http_info(self, project_id, body, **kwargs):
        """
        Upload pyfiles
        Upload pyfiles.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.upload_py_files_with_http_info(project_id, body, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param PkgResourceRequest body: (required)
        :param str x_auth_token: Authorization Token
        :param str user_id: Real user id
        :return: ResourceMsg
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'body', 'x_auth_token', 'user_id']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method upload_py_files" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `upload_py_files`")
        # verify the required parameter 'body' is set
        if ('body' not in params) or (params['body'] is None):
            raise ValueError("Missing the required parameter `body` when calling `upload_py_files`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']
        if 'user_id' in params:
            header_params['USER_ID'] = params['user_id']

        form_params = []
        local_var_files = {}

        body_params = None
        if 'body' in params:
            body_params = params['body']
        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v2.0/{project_id}/resources/pyfiles', 'POST',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='ResourceMsg',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)

    def upload_resources(self, project_id, body, **kwargs):
        """
        Upload resources
        Upload resources.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.upload_resources(project_id, body, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param PkgResourceRequest body: (required)
        :param str x_auth_token: Authorization Token
        :param str user_id: Real user id
        :return: ResourceMsg
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('callback'):
            return self.upload_resources_with_http_info(project_id, body, **kwargs)
        else:
            (data) = self.upload_resources_with_http_info(project_id, body, **kwargs)
            return data

    def upload_resources_with_http_info(self, project_id, body, **kwargs):
        """
        Upload resources
        Upload resources.
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please define a `callback` function
        to be invoked when receiving the response.
        >>> def callback_function(response):
        >>>     pprint(response)
        >>>
        >>> thread = api.upload_resources_with_http_info(project_id, body, callback=callback_function)

        :param callback function: The callback function
            for asynchronous request. (optional)
        :param str project_id: Project ID for resource isolation. (required)
        :param PkgResourceRequest body: (required)
        :param str x_auth_token: Authorization Token
        :param str user_id: Real user id
        :return: ResourceMsg
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['project_id', 'body', 'x_auth_token', 'user_id']
        all_params.append('callback')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method upload_resources" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'project_id' is set
        if ('project_id' not in params) or (params['project_id'] is None):
            raise ValueError("Missing the required parameter `project_id` when calling `upload_resources`")
        # verify the required parameter 'body' is set
        if ('body' not in params) or (params['body'] is None):
            raise ValueError("Missing the required parameter `body` when calling `upload_resources`")


        collection_formats = {}

        path_params = {}
        if 'project_id' in params:
            path_params['project_id'] = params['project_id']

        query_params = []

        header_params = {}
        if 'x_auth_token' in params:
            header_params['X-Auth-Token'] = params['x_auth_token']
        if 'user_id' in params:
            header_params['USER_ID'] = params['user_id']

        form_params = []
        local_var_files = {}

        body_params = None
        if 'body' in params:
            body_params = params['body']
        # Authentication setting
        auth_settings = []

        return self.api_client.call_api('/v2.0/{project_id}/resources', 'POST',
                                        path_params,
                                        query_params,
                                        header_params,
                                        body=body_params,
                                        post_params=form_params,
                                        files=local_var_files,
                                        response_type='ResourceMsg',
                                        auth_settings=auth_settings,
                                        callback=params.get('callback'),
                                        _return_http_data_only=params.get('_return_http_data_only'),
                                        _preload_content=params.get('_preload_content', True),
                                        _request_timeout=params.get('_request_timeout'),
                                        collection_formats=collection_formats)
